package com.dgt.graphdemo.entity;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @author lugela
 * @Title: GraphData
 * @ProjectName graphdemo
 * @Description: TODO
 * @date 2019/6/23 13:21
 */
@Data
public class GraphData {
  //节点
  private List<MyNode> nodes;
  //边
  private List<Edge> links;
  private String website ="query";
  //记录当前图谱的节点数
  private List<String> weaverIdList;

  //为了凑数不报错的垃圾的字段
  private List<Map<String,String>> graphlist;

}
