<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%
    String path = request.getContextPath();
    String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>

<%@ include file="/WEB-INF/jsp/common/taglib.jsp"%>
<%@ include file="/WEB-INF/jsp/common/global.jsp"%>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,Chrome=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <title>寿险反欺诈系统</title>
    <script src="../compass/app/js/jquery.min.js"></script>
    <link rel="stylesheet" href="../compass/app/css/app.css"/>
    <link rel="stylesheet" href="../compass/app/css/common.css"/>
    <link rel="stylesheet" href="../compass/app/css/report.css"/>
    <link rel="stylesheet" href="../compass/app/lib/bootstrap/css/bootstrap.min.css"/>
</head>
<body  onresize="hero()" style="text-align: center;background-size:cover;width: 100%;">

<input id="paybehavior" type="hidden" value="${result.mapradar.pay_behavior}"/>
<input id="perinfobehavior" type="hidden" value="${result.mapradar.perinfo_behavior}"/>
<input id="accidentbehavior" type="hidden" value="${result.mapradar.accident_behavior}"/>
<input id="frequencybehavior" type="hidden" value="${result.mapradar.frequency_behavior}"/>
<input id="cheatbehavior" type="hidden" value="${result.mapradar.cheat_behavior}"/>
<input id="score" type="hidden" value="${result.mapMsg.levelscore}"/>
<input id="operate" type="hidden" value="${result.operate}"/>
<div id="app" style="display: inline-block;width: 1086px">
    <div  class="modalContent report-wrap" style="width: 100%;">
        <div id="pdfbox" class="report-wrap" style="width:100%">
            <div class="report-title" style="width: 100%">寿险理赔分析报告</div>
            <div class="report-content">

            <%--    <div class="report-section1">
                    <div class="section1-left" style="width:70%;">
                        <div class="section1-title white" style="margin-bottom:50px;">综合风险评分</div>
                        <div class="temper-wrap" searchstyle="width: 93%" id="temper">
                            <div class="temper-inner" id="temperinner">
                                <div class="temper-top"></div>
                            </div>
                        </div>
                        <div class="temper-bottom" style="width: 95%;color: #f5f5f5;">
                            <span style="margin-right: 110px;">0</span>
                            <span style="margin-right: 110px;">200</span>
                            <span style="margin-right: 110px;">400</span>
                            <span style="margin-right: 110px;">600</span>
                            <span style="margin-right: 110px;">800</span>
                            <span style="margin-right: 0px;">1000</span>
                        </div>
                    </div>
                    <div class="section1-right fr" style="width:30%;">
                        <div class="section1-title txt-right">综合风险等级</div>
                        <div class="section1-flex">
                            <p  class="fl f79 blue" style="margin-left: 4%;margin-right: 1%;">${result.mapMsg.levelscore}</p>
                            <div class="section1-line fl" style="margin-left: 4%;"></div>
                            <div class="fl">
                                <P class="f44 orange">${result.mapMsg.level}</P>
                                <p class="f22 orange">风险</p>
                            </div>
                        </div>
                    </div>
                </div>--%>

                <div class="report-section2">
                    <div class="fl depart-left" style="width: 69%;height: 415px;">
                        <div class="section-title" style="width: 100%">分项风险等级</div>
                        <div style="padding-left: 10%;padding-right: 10%;width: 100%;">
                            <div id="showecharts" class="showecharts" style="width:60%;height:300px;margin-top:50px"></div>

                        </div>
                        <div class="section-right-top" style="width: 22%;height: 200px;">
                            <div id="triangle-up"></div>

                            <p id="pay_behavior" class="orange" style="line-height: 40px;">支付对象:低</p>
                            <p id="perinfo_behavior" class="blue" style="line-height: 40px;">身份信息:低</p>
                            <p id="accident_behavior" class="blue" style="line-height: 40px;">出险事故:低</p>
                            <p id="frequency_behavior" class="green" style="line-height: 40px;">高频案件:低</p>
                            <p id="cheat_behavior" class="green" style="line-height: 40px;">团伙骗赔:低</p>
                        </div>
                    </div>
                    <div class="fr depart-right" style="width: 30%;height: 415px;">
                        <div class="section-title" style="width: 100%;">赔案基本信息</div>
                        <div class="depart-content">
                            <div class="top">
                                <div class="fl">
                                    <c:if test="${result.mapMsg.sex=='女'}">
                                        <img id="agesvg" src="../compass/app/img/0.svg">
                                    </c:if>
                                    <c:if test="${result.mapMsg.sex!='女'}">
                                        <img id="agesvg" src="../compass/app/img/1.svg">
                                    </c:if>
                                </div>
                                <div class="fl top-right">
                                    <table >
                                        <tr><td align="left" style="padding-top: 8px;"><p><span>姓名：</span><span>${result.mapMsg.name}</span></p></td></tr>
                                        <tr><td align="left"><p><span>性别：</span><span>${result.mapMsg.sex}</span></p></td></tr>
                                        <tr><td align="left"><p><span>年龄：</span><span>${result.mapMsg.age}</span></p></td></tr>

                                    </table>
                                </div>
                            </div>
                            <div class="bottom">
                                <table>
                                    <tr><td ><p><span>赔案号：</span><span>${result.mapMsg.claimNo}</span></p></td></tr>
                                    <tr><td><p><span>事故日期：</span><span>${result.mapMsg.acctdate}</span></p></td></tr>
                                    <tr><td><p><span>立案日期：</span><span>${result.mapMsg.regdate}</span></p></td></tr>
                                    <tr><td><p><span>证件号：</span><span>${result.mapMsg.pid}</span></p></td></tr>
                                    <input type="hidden"  class="box_input form-control" id = "claimNo"  value="${result.mapMsg.claimNo}" >
                                    <input type="hidden"  class="box_input form-control" id="reportIndex"  value="${result.mapMsg.reportIndex}" >
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="report-section3" style="width: 100%;">
                    <div class="section-title">风险提示及审核指引</div>
                    <table class="deport-table" style="width: 100%;">
                        <thead>
                        <th style="width: 40%">风险提示</th>
                        <th style="width: 60%">风险详细说明</th>
                        </thead>
                        <tbody>

                        <c:forEach var="c" items="${result.ratelist}" varStatus="">
                            <tr>
                                <c:if test="${c.Mname !=null}">
                                    <td style="width: 28%;padding: 5px 5px 5px 5px;">${c.Mname}</td>
                                    <td style="text-align: left;width: 36%;padding: 5px 6px 5px 7px;">${c.massage}</td>
                                </c:if>
                            </tr>
                        </c:forEach>
                        </tbody>
                    </table>
                </div>


                <form id="myform" style="width: 100%;">
                    <div class="report-section3">
                        <div class="section-title">报告评估反馈</div>
                        <input name="reportId" type="hidden" value="${result.mapMsg.reportId}"/>
                        <table class="deport-table" style="width: 100%;">
                            <thead>
                            <th style="width: 28%">风险提示</th>
                            <th style="width: 36%">提示反馈</th>
                            <th style="width: 36%">反馈说明</th>
                            </thead>
                            <tbody>

                            <c:forEach var="c" items="${result.ratelist}">
                                <tr>
                                    <td style="width: 28%;padding-top: 5px;padding-bottom: 5px;">${c.Mname}</td>
                                    <td align="center" style="width: 36%;" >
                                        <div class="fl radio-box">
                                            <input  type="radio"  name="${c.radioname}"
                                                    value="1" class="report-td" style="margin-right:5px;"><span style="font-size: 12px;">准确</span>
                                        </div>
                                        <div class="fl radio-box">
                                            <input  type="radio"  name="${c.radioname}"
                                                    value="-1" class="report-td" style="margin-right:5px;"><span style="font-size: 12px;">不准确</span>
                                        </div>
                                        <div class="fl radio-box">
                                            <input type="radio"  name="${c.radioname}"
                                                   value="0" class="report-td" style="margin-right:5px;"><span style="font-size: 12px;">无法判断</span>
                                        </div>
                                    </td>
                                    <td style="width: 36%;padding-top: 5px;padding-bottom: 5px;">
                                        <input type="text" name="${c.textname}" class="search_showbox"  value="${c.text}" style="font-size: 12px;padding: 5px 6px 5px 7px;" placeholder="请输入反馈说明">
                                    </td>
                                </tr>
                                <script >
                                    <c:choose>
                                    <c:when test="${c.radio=='1'}">
                                    document.getElementsByName("${c.radioname}")[0].checked=true;
                                    </c:when>
                                    <c:when test="${c.radio=='-1'}">
                                    document.getElementsByName("${c.radioname}")[1].checked=true;
                                    </c:when>
                                    <c:when test="${c.radio=='0'}">
                                    document.getElementsByName("${c.radioname}")[2].checked=true;
                                    </c:when>
                                    </c:choose>
                                </script>
                            </c:forEach>
                            </tbody>
                        </table>

                    </div>
                    <div class="report-section3" style="width:100%;">
                        <div class="section-title">其他反馈</div>
                        <textarea name="otherFeedBack" class="search_showbox" style="width: 100%;height: 100px;border: 0px;font-size: 13px;padding: 5px 6px 5px 7px;" placeholder="请输入反馈说明">${result.mapMsg.othertext}</textarea>
                    </div>
                </form>
            </div>
        </div>

        <div class="modal-footer" style="text-align: center;width: 100%">
            <div style="position: absolute;padding-top: 12px;">${result.mapMsg.createdate}</div>
            <button type="button" onclick="javascript:window.open(location, '_self').close();" class="btn btn-default" data-dismiss="modal">关闭</button>
        </div>

    </div>
    <div id="popupcontent"></div>
    <script type="text/javascript">
        var lists="${result.ratelist}";
    </script>
    <script src="../compass/app/lib/jquery/dist/jquery.min.js"></script>
    <script src="../compass/app/js/echarts/echarts.min.js"></script>
    <script src="../compass/app/js/DataBasereportcontroller.js"></script>
</div>


</body>
</html>
