<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%
    String path = request.getContextPath();
    String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>
<!DOCTYPE html>
<%@ include file="/WEB-INF/jsp/common/global.jsp"%>

<html>
<head>
    <title>查询</title>
    <script src="../compass/app/js/TableIndex.js"></script>
    <style >
        .btn {
            background: #428bca;
        }
        #peopleType,#listType{
            border-radius:4px 4px 4px 4px;
            box-shadow: 0 0 4px 0 RGBA(0, 0, 0, 0.48);
            margin-left: -70px;height: 34px;
            font-size: 16px;
        }
    </style>
</head>
<body>
<%--<jsp:include page="../menu.jsp"/>--%>
<div class="container-fluid">
    <div class="content">
        <div class="tab-header" style="padding:35px">
            <label class="col-sm-1 col-md-1 col-lg-1 control-label" style="margin-top: -8px;font-size: 15px;">人员属性 </label>
            <div class="col-sm-3 col-md-3 col-lg-3" style="margin-top: -15px">
                <select id="peopleType" class="form-control" onchange="selectP(this)">
                    <option value="被保险人">&nbsp;&nbsp;&nbsp;被保险人&nbsp;&nbsp;&nbsp; </option>
                    <option value="投保人">&nbsp;&nbsp;&nbsp;投保人&nbsp;&nbsp;&nbsp;</option>
                </select>
            </div>

            <label class="col-sm-1 col-md-1 col-lg-1 control-label" style="margin-top: -8px;font-size: 15px;">清单类型</label>
            <div class="col-sm-3 col-md-3 col-lg-3" style="margin-top: -15px ">
                <select id="listType" class="form-control"></select>
            </div>

            <div class="btn-group right" data-toggle="buttons" style="margin-top: -15px">
                <button class="btn btn-primary" onclick="query();"  style="margin-right: 10px" >执行</button>
                <button class="btn btn-primary" onclick="resetSelect();"  >重置</button>
            </div>
        </div>
    </div>
    <div class="tab-content">
        <div class="content_botttom">
            <div class="content_list" style="width:100%; overflow-x:auto;">
                <table class="table table-striped">
                    <thead>
                    <tr id="list_title">
                    </tr>
                    </thead>
                    <tbody style="" id="list_body">

                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<!-- 模态提示框 -->
<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title" id="myModalLabel">
                    温馨提示：
                </h4>
            </div>
            <div class="modal-body">

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-submit" data-dismiss="modal">确定</button>
                <!-- 					<button type="button" class="btn btn-default btn-cancel" data-dismiss="modal">取消</button> -->
            </div>
        </div>
    </div>
</div>

</body>

</html>