﻿<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
<title>查看系统操作日志信息</title>
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<%@ include file="/include/header.jsp"%>
<!-- 加载公共的样式，主要作用是清除浏览器的一些默认样式，页面公共排版，包括头部以及一些组件样式   -->
<!-- <link type="text/css" rel="stylesheet" href="${ctx}/css/base.css" />  -->
<link type="text/css" rel="stylesheet" href="${ctx}/css/index.css" />
<!-- 前端框架核心库加载放在 -->
<script src="${ctx}/js/lib/core.js" type="text/javascript"></script>

<script src="${ctx}/js/lib/perfect-scrollbar.jquery.js"></script>
<script type="text/javascript" src="${ctx}/js/index.js"></script>
<link type="text/css" rel="stylesheet" href="${ctx}/css/baseFrame.css" />
</head>
<body>
	<div>
		<div class="b_box">
			<div class="p_bar">
				您当前的位置：日志管理/详细
			</div>
			<table class="c_table m_t10">
				<tr>
					<td class="t_tit" >IP地址：</td>
					<td>${sysLog.ip}</td>
				</tr>
				<tr>
					<td class="t_tit">请求地址：</td>
					<td>${sysLog.requestUrl}</td>
				</tr>
				<tr>
					<td class="t_tit"> 用户操作：</td>
					<td>${sysLog.opeContent}</td>
				</tr>
				<tr>
					<td class="t_tit">用户传递的参数名称和值：</td>
					<td>${sysLog.paramValues}</td>
				</tr>
				<tr>
					<td class="t_tit">操作人 ：</td>
					<td>${sysLog.operationUsername}</td>
				</tr>
				<tr>
					<td class="t_tit">日志类型：</td>
					<td>${sysLog.logTypeName}</td>
				</tr>
				<tr>
					<td class="t_tit">操作动作：</td>
					<td>${sysLog.operationActionName}</td>
				</tr>
				<tr>
					<td class="t_tit">异常信息：</td>
					<td>${sysLog.exMsg}</td>
				</tr>
				<tr>
					<td class="t_tit">异常信息位置：</td>
					<td>${sysLog.errLocation}</td>
				</tr>
				<tr>
					<td class="t_tit">操作时间：</td>
					<td><fmt:formatDate value="${sysLog.operationTime}" pattern="yyyy-MM-dd HH:mm:ss"/></td>
				</tr>
			</table>
		</div>
		<div class="action_box m_t10 t_c">
			<input type="button" class="b_btn" value="返回" id="returnBtn" />
		</div>
	</div>
	<script type="text/javascript">
		$(function() {
			// 注册返回按钮事件
			$("#returnBtn").click(function() {
				// 关闭弹窗窗口
				parent.sysLogDialog.close();
			});
		});
	</script>
</body>
</html>