﻿<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
<title>编辑</title>
<%@ include file="/include/header.jsp"%>
</head>
<body>
	<div class="dialog_main">
		<div class="b_box">
			<form id="sysUserRoleForm" action="post">
				<input type="hidden" name="CSRFToken" value="${csrfToken}" />
				<input type="hidden" name="userRoleId" value="${sysUserRole.userRoleId}" />
				<table class="c_table m_t10">
					<tr>
						<td class="t_tit">[用户角色ID]</td>
						<td><input type="text" id="userRoleId" name="userRoleId" data-validaterole="userRoleId" data-rule="userRoleId" data-param='{"code" : "mmm","ml":32}' data-message='最大不能超过<!=ml!>' value="${sysUserRole.userRoleId}" /></td>
					</tr>
					<tr>
						<td class="t_tit">[系统角色]</td>
						<td><input type="text" id="sysroleId" name="sysroleId" data-validaterole="sysroleId" data-rule="sysroleId" data-param='{"code" : "mmm","ml":32}' data-message='最大不能超过<!=ml!>' value="${sysUserRole.sysroleId}" /></td>
					</tr>
					<tr>
						<td class="t_tit">sysuserId</td>
						<td><input type="text" id="sysuserId" name="sysuserId" data-validaterole="sysuserId" data-rule="sysuserId" data-param='{"code" : "mmm","ml":32}' data-message='最大不能超过<!=ml!>' value="${sysUserRole.sysuserId}" /></td>
					</tr>
				</table>			
			</form>
		</div>
		<div class="action_box m_t10 t_c">
			<input type="button" class="b_btn" id="editBtn" value="保存" />
		</div>
	</div>

	<script type="text/javascript">
	// 验证
	seajs.use(["component/validate", "component/tip"], function(validate, tip) {
		var ntip = function() {
			// 定义一个提示对象
			return new tip({});
		};

		// 定义一个验证对象
		var d = new validate({
			con: "#adminRankForm",
			// 验证容器
			ntip: ntip,
			onSubmit: "#editBtn" // 提交按钮
		});

		// 设置拼装规则: 这里加上各个验证规则
		d.setValidateRule({ userRoleId: ["isBlank", "checkLen"] });
		d.setValidateRule({ sysroleId: ["isBlank", "checkLen"] });
		d.setValidateRule({ sysuserId: ["isBlank", "checkLen"] });

	
		// 注册保存按钮事件
		d.bind("onsubmit", function() {
			if (confirm('确定提交审批？')) {
				// 序列化表单参数
				var serializedForm = $("#sysUserRoleForm").serialize();
				$.post("${ctx}/sysUserRole/edit.do", serializedForm, function(result) {
					if ("succ" == result) {
						alert("操作成功");
						// 刷新列表页面
						parent.location.replace("${ctx}/sysUserRole/list.do?ts=" + new Date().getTime()); //如果发表成功则跳到列表界面 
						// 关闭弹窗窗口
						parent.sysUserRoleDialog.close();
					} else if ("notThroughSecurityCheck" == result["isThroughSecurityCheck"]) { // 如果不通过安全检查
						var mess = result["mess"];
						$.post("${ctx}/common/notThroughSecurityCheck.do?ts=" + new Date().getTime(), mess, function(res) {
							alert(res);
						}, "json");

					} else {
						alert(result);
					}
				},
				"json");
			}
	
		});
	});
	</script>
</body>
</html>