<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%
	String path = request.getContextPath();
	String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>
<!DOCTYPE html>
<%@ include file="/WEB-INF/jsp/common/global.jsp"%>

<html>
<head>
	<title>击中案件明细 寿险反欺诈系统</title>
	<script src="../compass/app/js/lpHitReportDetail.js"></script>
	<script type="text/javascript">
        $(document).ready(function(){
            $(".container").attr("style","font-size:14px;margin-top:-15px;border-left: 1px solid #9c464600;min-height: 100%;padding-top: 15px;margin-left: auto;margin-right: auto;padding-left: 15px;padding-right: 15px;width: 1250px;");

            $(".container a[class='dropdown-toggle']").attr("style","width:105px");
            $("body div[class='navbar-inverse']").attr("style","height:42px;");

        });
	</script>



	<style >

		#div_tree_box > li{
			width:300px;
		}

		.table tr th:nth-child(1),.table tr td:nth-child(1) {
			width: 22%;
		}

		.table tr th:nth-child(2),.table tr td:nth-child(2) {
			width: 22%;
		}

		.table tr th:nth-child(3),.table tr td:nth-child(3) {
			width: 22%;
		}

		.table tr th:nth-child(4),.table tr td:nth-child(4) {
			width: 17%;
		}
		.table tr th:nth-child(5),.table tr td:nth-child(5) {
			width: 17%;
		}

		.table thead th{
			background: #3c8dbc;
		}
		.btn {
			background: #428bca;
		}

		.table tbody tr td {
			padding: 3px;
		}

	</style>


</head>
<body>

<jsp:include page="../menu.jsp"/>
<!-- BEGIN 面包屑 -->
<div class="container-fluid">
	<ol class="breadcrumb" style="font-size: 14px;"><!-- BEGIN 面包屑 -->
		<li><a href="javascript:void(0);" style="color: #428bca">系统管理</a></li>
		<li><a href="hitRules.do" style="color: #428bca">击中案件明细</a></li>
	</ol>
</div>

<!--main-->
<div class="container-fluid">

	<div class="tab-btn" style="margin-top: -8px;margin-bottom: 8px">
		<div class="btn-group right" data-toggle="buttons">
			<!-- 	<button class="btn btn-primary" onclick="queryRole();">绑定角色</button> -->
			<button class="btn btn-primary" onclick="document.forms[0].submit();" >查询</button>
			<button class="btn btn-primary" onclick="resetUI();">重置</button>
		</div>
	</div>

	<div class="content">
		<form action="<%=path%>/rulesreport/hitRules.do" method="post" >
			<div class="tab-header">
				<div class="form-group" style="margin:0;">
					<label class="col-sm-1 col-md-1 col-lg-1 control-label">案件号 </label>
					<div class="col-sm-2 col-md-2 col-lg-2">
						<input type="text" id="claimNoId" name="p_claimNo" value="${page.paramMap.p_claimNo}" class="form-control"/>
					</div>

					<label class="col-sm-1 col-md-1 col-lg-1 control-label">报案号</label>
					<div class="col-sm-2 col-md-2 col-lg-2">
						<input type="text" id="cappNoId" name="p_cappNo" value="${page.paramMap.p_cappNo}" class="form-control"/>
					</div>

					<label class="col-sm-1 col-md-1 col-lg-1 control-label">业务员工号</label>
					<div class="col-sm-2 col-md-2 col-lg-2">
						<input type="text" id="empNoId" name="p_empNo" value="${page.paramMap.p_empNo}" class="form-control"/>
					</div>
				</div>

				<div class="clear"></div>
			</div>

			<div class="tab-content">
				<div class="content_list" style="width:100%; overflow-x:auto;">
					<table class="table table-striped">
						<thead>
						<tr>
							<th>案件号</th>
							<th>报案号</th>
							<th>业务员工号</th>
							<th>时间</th>
							<th>详情</th>
						</tr>
						</thead>
						<tbody>
						<c:forEach items="${pageList}" var="p" varStatus="loop">
							<tr id="checkboxs" >
								<td>${p.claimNo}</td>
								<td>${p.cappNo}</td>
								<td>${p.empNo}</td>
								<td>${p.createDate}</td>
								<td style="text-align: center">
									<input type="button" value="详情" class="btn btn-primary" onclick="reportInfoIndex('${p.reportIndex}')" />
								</td>
							</tr>
						</c:forEach>
						</tbody>
					</table>
				</div>
			</div>

			<!-- 页码 -->
			<div class="tab-page">
				<%@ include file="/WEB-INF/jsp/common/page.jsp"%>
			</div>

		</form>
	</div>
</div>

</body>

</html>