<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="/WEB-INF/jsp/common/taglib.jsp"%>
    <html>
    <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,Chrome=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <title>太保健康险智控罗盘平台</title>
        <script src="../compass/app/js/jquery.min.js"></script>
    <link rel="stylesheet" href="../compass/app/css/app.css"/>
    <link rel="stylesheet" href="../compass/app/css/common.css"/>
    <link rel="stylesheet" href="../compass/app/css/report.css"/>
    <link rel="stylesheet" href="../compass/app/lib/bootstrap/css/bootstrap.min.css"/>


</head>
<body  onresize="hero()" style="text-align: center;background-size:cover;width: 100%;">
<input id="claimbehavior" type="hidden" value="${result.mapradar.claim_behavior}"/>
<input id="medicaltreatment" type="hidden" value="${result.mapradar.medical_treatment}"/>
<input id="diseaseddiagnosis" type="hidden" value="${result.mapradar.disease_diagnosis}"/>
<input id="drugproject" type="hidden" value="${result.mapradar.drug_project}"/>
<input id="diagnosisproject" type="hidden" value="${result.mapradar.diagnosis_project}"/>
<input id="score" type="hidden" value="${result.mapMsg.levelscore}"/>
<div id="app" style="display: inline-block;width: 1086px">
<div  class="modalContent report-wrap" style="width: 100%;">
    <div id="pdfbox" class="report-wrap" style="width:100%">
            <div class="report-title" style="width: 100%">智控分析报告</div>
            <div class="report-content">
                <div class="report-section1">
                    <div class="section1-left" style="width:70%;">
                        <div class="section1-title white" style="margin-bottom:50px;">综合风险评分</div>
                        <div class="temper-wrap" style="width: 93%" id="temper">
                            <div class="temper-inner" id="temperinner">
                                <div class="temper-top"></div>
                            </div>
                        </div>
                        <%--<div class="temper-bottom" style="    display: -webkit-box;-webkit-box-orient: horizontal;width: 95%;color: #f5f5f5;">--%>
                            <div class="temper-bottom" style="width: 95%;color: #f5f5f5;">
                            <%--<div style="-webkit-box-flex: 1;text-align: left;width: 0;color: #f5f5f5;">0</div>--%>
                            <%--<div style="-webkit-box-flex: 1;text-align: left;width: 0;color: #f5f5f5;">200</div>--%>
                            <%--<div style="-webkit-box-flex: 1;text-align: left;width: 0;color: #f5f5f5;">400</div>--%>
                            <%--<div style="-webkit-box-flex: 1;text-align: left;width: 0;color: #f5f5f5;">600</div>--%>
                            <%--<div style="-webkit-box-flex: 1;text-align: left;width: 0;color: #f5f5f5;">800</div>--%>
                            <%--<div style="color: #f5f5f5;">1000</div>--%>
                            <span style="margin-right: 110px;">0</span>
                            <span style="margin-right: 110px;">200</span>
                            <span style="margin-right: 110px;">400</span>
                            <span style="margin-right: 110px;">600</span>
                            <span style="margin-right: 110px;">800</span>
                            <span style="margin-right: 0px;">1000</span>
                        </div>
                    </div>
                    <div class="section1-right fr" style="width:30%;">
                        <div class="section1-title txt-right">综合风险等级</div>
                        <div class="section1-flex">
                            <p  class="fl f79 blue" style="margin-left: 4%;margin-right: 1%;">${result.mapMsg.levelscore}</p>
                            <div class="section1-line fl" style="margin-left: 4%;"></div>
                            <div class="fl">
                                <P class="f44 orange">${result.mapMsg.level}</P>
                                <p class="f22 orange">风险</p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="report-section2">
                    <div class="fl depart-left" style="width: 69%;height: 415px;">
                        <div class="section-title" style="width: 100%">分项风险等级</div>
                        <div style="padding-left: 10%;padding-right: 10%;width: 100%;">
                        <div id="showecharts" class="showecharts" style="width:60%;height:300px;margin-top:50px"></div>

                        </div>
                        <div class="section-right-top" style="width: 20%;height: 200px;">
                            <div id="triangle-up"></div>

                            <p id="claim_behavior" class="orange" style="line-height: 40px;">索赔行为:高</p>
                            <p id="medical_treatment" class="blue" style="line-height: 40px;">医疗行为:中</p>
                            <p id="disease_diagnosis" class="blue" style="line-height: 40px;">疾病诊断:中</p>
                            <p id="drug_project" class="green" style="line-height: 40px;">药品项目:低</p>
                            <p id="diagnosis_project" class="green" style="line-height: 40px;">诊疗项目:低</p>
                        </div>
                    </div>
                    <div class="fr depart-right" style="width: 30%;height: 415px;">
                        <div class="section-title" style="width: 100%;">赔案基本信息</div>
                        <div class="depart-content">
                            <div class="top">
                                <div class="fl">
                                    <c:if test="${result.mapMsg.sex=='女'}">
                                        <img id="agesvg" src="../compass/app/img/0.svg">
                                    </c:if>
                                    <c:if test="${result.mapMsg.sex!='女'}">
                                        <img id="agesvg" src="../compass/app/img/1.svg">
                                    </c:if>
                                </div>
                                <div class="fl top-right">
                                    <table >
                                        <tr><td align="left" style="padding-top: 8px;"><p><span>姓名：</span><span>${result.mapMsg.name}</span></p></td></tr>
                                        <tr><td align="left"><p><span>性别：</span><span>${result.mapMsg.sex}</span></p></td></tr>
                                        <tr><td align="left"><p><span>年龄：</span><span>${result.mapMsg.age}</span></p></td></tr>

                                    </table>
                                </div>
                            </div>
                            <div class="bottom">
                                <table>
                                    <tr><td><p><span>赔案号：</span><span>${result.mapMsg.claimNo_one}</span></p></td></tr>
                                    <tr><td><p><span>出险日期：</span><span>${result.mapMsg.policydate}</span></p></td></tr>
                                    <tr><td><p><span>索赔日期：</span><span>${result.mapMsg.claimdate}</span></p></td></tr>
                                    <tr><td><p><span>业务来源：</span><span>${result.mapMsg.business_source}</span></p></td></tr>
                                    <tr><td><p><span>分公司：</span><span>${result.mapMsg.branch}</span></p></td></tr>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="report-section3" style="width: 100%;">
                    <div class="section-title">风险提示及审核指引</div>
                    <table class="deport-table" style="width: 100%;">
                        <thead>
                        <th style="width: 28%">风险提示</th>
                        <th style="width: 36%">风险详细说明</th>
                        <th style="width: 36%">审核方向指引</th>
                        </thead>
                        <tbody>

                        <c:forEach var="c" items="${result.ratelist}" varStatus="">
                        <tr>
                         <c:if test="${c.Mname !=null}">
                             <td style="width: 28%;padding: 5px 5px 5px 5px;">${c.Mname}</td>
                             <td style="text-align: left;width: 36%;padding: 5px 6px 5px 7px;">${c.massage}</td>
                             <td style="text-align: left;width: 36%;padding: 5px 6px 5px 7px;">${c.advice}</td>
                         </c:if>
                        </tr>
                        </c:forEach>

                        </tbody>
                    </table>
                </div>
                <form id="myform" style="width: 100%;">
                    <div class="report-section3">
                        <div class="section-title">报告评估反馈</div>

                        <input name="claimNo_one" type="hidden" value="${result.mapMsg.claimNo_one}"/>
                        <input name="backCount" type="hidden" value="${result.mapMsg.backCount}"/>
                        <input type="hidden" name="outputId" value="${result.mapMsg.outputId}">
                        <table class="deport-table" style="width: 100%;">
                            <thead>
                            <th style="width: 28%">风险提示</th>
                            <th style="width: 36%">提示反馈</th>
                            <th style="width: 36%">反馈说明</th>
                            </thead>
                            <tbody>

                            <c:forEach var="c" items="${result.ratelist}">
                            <tr>
                                <td style="width: 28%;padding-top: 5px;padding-bottom: 5px;">${c.Mname}</td>
                                <td align="center" style="width: 36%;" >
                                <div class="fl radio-box">
                                <input  type="radio"  name="${c.radioname}"
                                value="1" class="checkradio  report-td" style="margin-right:5px;"><span style="font-size: 12px;">准确</span>
                                </div>
                                <div class="fl radio-box">
                                <input  type="radio"  name="${c.radioname}"
                                value="-1" class="checkradio  report-td" style="margin-right:5px;"><span style="font-size: 12px;">不准确</span>
                                </div>
                                <div class="fl radio-box">
                                <input type="radio"  name="${c.radioname}"
                                value="0" class="checkradio  report-td" style="margin-right:5px;"><span style="font-size: 12px;">无法判断</span>
                                </div>
                                </td>
                                <td style="width: 36%;padding-top: 5px;padding-bottom: 5px;">
                                <input type="text" name="${c.textname}"class="search_showbox" value="${c.text}" style="font-size: 12px;padding: 5px 6px 5px 7px;" placeholder="请输入反馈说明">
                                </td>
                                </tr>
                                <script >
                                    <c:choose>
                                    <c:when test="${c.radio=='1'}">
                                    document.getElementsByName("${c.radioname}")[0].checked=true;
                                    </c:when>
                                    <c:when test="${c.radio=='-1'}">
                                    document.getElementsByName("${c.radioname}")[1].checked=true;
                                    </c:when>
                                    <c:when test="${c.radio=='0'}">
                                    document.getElementsByName("${c.radioname}")[2].checked=true;
                                    </c:when>
                                    </c:choose>
                                </script>
                            </c:forEach>
                            </tbody>
                        </table>

                    </div>
                    <div class="report-section3" style="width:100%;">
                        <div class="section-title">其他反馈</div>
                        <textarea name="otherFeedBack" style="width: 100%;height: 100px;border: 0px;font-size: 13px;padding: 5px 6px 5px 7px;" placeholder="请输入反馈说明">${result.mapMsg.othertext}</textarea>
                    </div>
                </form>
            </div>
    </div>

            <div class="modal-footer" style="text-align: center;width: 100%">
                <div style="position: absolute;padding-top: 12px;">${result.mapMsg.createdate}</div>
            <button id="ajaxBtn" type="button" class="btn btn-primary">提交反馈</button>
            <button type="button" onclick="javascript:window.open(location, '_self').close();" class="btn btn-default" data-dismiss="modal">关闭</button>
            </div>
        </div>
        <div id="popupcontent"></div>
<script type="text/javascript">
    var lists="${result.ratelist}";
</script>
<script src="../compass/app/lib/jquery/dist/jquery.min.js"></script>
<script src="../compass/app/js/echarts/echarts.min.js"></script>
<script src="../compass/app/js/reportcontroller.js"></script>

</div>
</body>
</html>
