<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="/WEB-INF/jsp/common/taglib.jsp" %>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,Chrome=1"/>
    <meta http-equiv="X-UA-Compatible" content="IE=9"/>
    <title>寿险反欺诈系统</title>
    <script src="../compass/app/js/jquery.min.js"></script>
    <link rel="stylesheet" href="../compass/app/css/app.css"/>
    <link rel="stylesheet" href="../compass/app/css/common.css"/>
    <link rel="stylesheet" href="../compass/app/css/report.css"/>
    <link rel="stylesheet" href="../compass/app/lib/bootstrap/css/bootstrap.min.css"/>
    <link rel="stylesheet" href="../compass/app/layui/css/layui.css">

</head>
<body onresize="hero()" style="text-align: center;background-size:cover;width: 100%;">

<div ng-app="myApp" ng-controller="rulesController" id="app" style="display: inline-block;width: 1086px" class="container">
    <div class="modalContent report-wrap" style="width: 110%;">
        <div id="pdfbox" class="report-wrap" style="width:100%">
            <div class="report-title" style="width: 100%">触发规则查询</div>


            <div class="searchForm row" style="margin:0px;width: 100%;">

                <form class="form-horizontal">
                    <div class="form-group">
                        <label for="claimNo" class="col-md-1 control-label"
                               style="font-weight: normal;color: #666666;">案件号</label>
                        <div class="col-sm-3">
                            <input ng-model="claimNo" type="text" class="form-control" id="claimNo"
                                   placeholder=""
                                   ng-required="true" name="policyHolderDress"/>
                        </div>
                        <label for="claimNo" class="col-md-1 control-label"
                               style="font-weight: normal;color: #666666;">报案号</label>
                        <div class="col-sm-3">
                            <input ng-model="cappNo" type="text" class="form-control" id="cappNo"
                                   placeholder=""
                                   ng-required="true" name="policyHolderDress"/>
                            <!--  <option>北京分公司</option>-->
                            </select>
                        </div>

                        <label for="empNo" class="col-md-1 control-label"
                               style="padding-left:0px;font-weight: normal;color: #666666;">业务员工号</label>
                        <div class="col-sm-3">
                            <input ng-model="empNo" type="text" class="form-control" id="empNo"
                                   placeholder=""
                                   ng-required="true" name="policyHolderDress"/>
                        </div>
                    </div>

                </form>


                <div class="line"></div>
                <div class="submitBtn">
                    <button ng-click="rulesQuery()" type="button" class="btn btn-primary">查询</button>
                    <button ng-click="rulesReset()" type="button" class="btn btn-default">重置</button>
                </div>
                <input type="hidden" ng-model="filename"/>
            </div>


            <div class="tableList row" style="margin:0px;width: 100%;">
                <div border="1px" style="width:100%;overflow-x: scroll">

                    <table class="table table-bordered" style="width:3000px">
                        <thead>
                        <tr  align="center">
                            <td width="180px">案件号</td>
                            <td width="180px">报案号</td>
                            <td width="180px">业务员工号</td>
                            <td width="80px">综合风险评分</td>
                            <td width="80px">操作</td>
                        </tr>
                        </thead>
                        <tbody>
                        <tr align="center" ng-repeat="l in rulesList" ng-if="l.claimNo !=null" on-finish-render-filters>
                            <td>{{l.claimNo}}</td>
                            <td>{{l.cappNo}}</td>
                            <td>{{l.empNo}}</td>
                            <td>{{l.plusScore}}</td>
                            <td style="text-align: center">
                                <button  style="width: 50px" ng-click="reportInfoDetail(l.reportIndex)"
                                         type="button" class="btn btn-primary">详情
                                </button>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>

                <div class="page" style="text-align: center;">
                    <nav aria-label="Page navigation">
                        <ul class="pagination">
                            <li>
                                <a ng-click="Previous()" aria-label="Previous">
                                    <span aria-hidden="true">上一页</span>
                                </a>
                            </li>
                            <li class="active1" ng-repeat="page in pageList" ng-class="{active: isActivePage(page)}">
                                <a ng-click="selectPage(page)">{{page}}</a>
                            </li>
                            <li>
                                <a ng-click="Next()" aria-label="Next">
                                    <span aria-hidden="true">下一页</span>
                                </a>
                            </li>
                        </ul>
                    </nav>
                </div>
            </div>
        </div>
    </div>
    <div id="popupcontent"></div>
    <script src="../compass/app/lib/jquery/dist/jquery.min.js"></script>
    <script src="../compass/app/lib/jquery/dist/jquery-1.8.3.min.js"></script>
    <script src="../compass/app/lib/angular/dist/angular.js"></script>
    <script src="../compass/app/layui/layui.js"></script>
    <script src="../compass/app/js/reportQuery.js"></script>
    <script src="../compass/app/js/services.js"></script>

</div>


</body>
</html>
