var T = {};
$.extend(T, {
    Util: {
        format: function(r) {
            return params = [].slice.call(arguments, 1), 1 == params.length && "[object Object]" == String(params[0]) && (params = params[0]), r.replace(/(#|\=)\{(\w+)\}/g, function(r, e, n) {
                var t = params[n];
                return void 0 === t ? "" : "=" === e ? t : "#" === e ? t : void 0
            })
        },
        encodeHTML: function(r) {
            return String(r).replace(/&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;").replace(/'/g, "&#39;")
        },
        formatNumber: function(r) {
            r = String(r);
            for (var e = /(-?\d+)(\d{3})/; e.test(r);) r = r.replace(e, "$1,$2");
            return r
        },
        indexOf: function(r, e) {
            if (null == r) return -1;
            var n = Array.prototype.indexOf;
            if (n && r.indexOf === n) return r.indexOf(e);
            for (var t = 0, a = r.length; a > t; t++)
                if (r[t] === e) return t;
            return -1
        },
        contains: function(r, e) {
            return -1 != this.indexOf(r, e)
        },
        clickInContainer: function(r, e) {
            for (;;) {
                if (r === e) return !0;
                if (r = r.parentNode, null === r) return !1
            }
        }
    }
});;
function Bubble(t) {
    var i = {
        heat: 1,
        label: "",
        x: 0,
        y: 0,
		con : "body",
        bubbleLevel: 3,
        width: 29,
        height: 58,
        interval: 50,
        bubbles: [{
            r: 3,
            s: [27, 30],
            e: [27, -55],
            p: 4.25
        }, {
            r: 4,
            s: [27, 40],
            e: [27, -35],
            p: 3.75
        }, {
            r: 6,
            s: [27, 50],
            e: [27, -15],
            p: 3.25
        }],
        wave: {
            a: 6,
            w: 6.28,
            k: .1,
            width: 26.8593355,
            height: 30.832615
        },
        waveTop: [58.069762, 51.944762, 46.111131, 41.918412,35.918412,29.918412],
        waveSpeed: [1, 1, 2,  2,4,4],
        colors1: ["#f5c231", "#26b879", "#4eb3e1",  "#ed6e4d","#2371d3","#286496"],
        colors2: ["#f5c231", "#26b879", "#4eb3e1",  "#ed6e4d","#2371d3","#286496"],
        shadowColor: "#191e26",
        dropPath: "M 0,30.832615 C 0.2258843,41.374652 22.6502155,73.827685 26.8593355,84.067826 32.2195965,72.431012 53.3725445,43.176664 53.5570575,30.832615 c -1.062271,-39.9612311 -55.0572777,-35.5688568 -53.5570575,0 z",
        wavePath: " C 0.2258843,41.374652 22.6502155,73.827685 26.8593355,84.067826 32.2195965,72.431012 53.3725445,43.176664 53.5570575,30.832615 z",
        shadowPath: "m 54,87.987175 a 27.25,6.375 0 1 1 -54.5,0 27.25,6.375 0 1 1 54.5,0 z"
    };
    this.options = $.extend(!0, {}, i, t), this.init()
}
Bubble.prototype.init = function() {
    var t = $('<div style="position:absolute;cursor:pointer;"></div>'),
        i = t.get(0);
    if (this._div = i, this._heat = this.options.heat - 1, this._speed = this.options.waveSpeed[this._heat], this._increase = 31, this._a = this.options.wave.a, this._w = this.options.wave.w, this._k = this.options.wave.k, this._width = this.options.wave.width, this._height = this.options.wave.height, this._waveTop = this.options.waveTop[this._heat], this._color1 = this.options.colors1[this._heat], this._color2 = this.options.colors2[this._heat], this._start = 0, this._end = Math.floor(2 * this.options.wave.width), this._circle = this.options.heat >= this.options.bubbleLevel, this._circle) {
        this._bubbles = [], this._b = [];
        var e = this.options.bubbles;
        this._bubbleLength = e.length;
        for (var s = 0, o = this._bubbleLength; o > s; s++) this._bubbles.push({
            r: e[s].r,
            sx: e[s].s[0],
            sy: e[s].s[1],
            ex: e[s].e[0],
            ey: e[s].e[1],
            color: this._color1,
            speed: e[s].p
        }), this._b.push([e[s].s[0], e[s].s[1]])
    }
    this._t = 0;
	this.initialize({});
}, Bubble.prototype.initialize = function(t) {
    var i = this.options;
    return this._render(), $(this._div).append(T.Util.format('<svg width="#{0}" height="#{1}">#{2}</svg>', i.width, i.height, this._render())), $(this._div).append('<div class="top-marker-label"><span>' + i.label + "</span></div>"), this.animate(), $(this.options.con).append(this._div), this._map = t, this._div
}, Bubble.prototype.draw = function() {
    if (this.options.x && this.options.y) {
        var t = this._map.pointToOverlayPixel(new BMap.Point(this.options.x, this.options.y));
        $(this._div).css({
            left: t.x - 12 + "px",
            top: t.y - 50 + "px"
        })
    }
}, Bubble.prototype.addEventListener = function(t, i) {
    $(this._div).on(t, ":first", i), $(this._div).on(t, ">div>span", i)
}, Bubble.prototype.formatStyle = function(t) {
    var i = [];
    return $.each(t, function(t, e) {
        i.push(T.Util.format("#{0}:#{1};", t, e))
    }), i.join("")
}, Bubble.prototype._render = function() {
    return T.Util.format('<g transform="translate(2,19) scale(0.4)">#{shadow}#{bubbles}#{waves}#{drop}</g>', {
        shadow: this._renderShadow(),
        bubbles: this._circle ? this._renderBubbles() : "",
        waves: this._renderWaves(),
        drop: this._renderDrop()
    })
}, Bubble.prototype._renderWaves = function() {
    return T.Util.format('<path class="wave1" style="#{0}"></path><path class="wave2" style="#{1}"></path>', this.formatStyle({
        fill: this._color2,
        "stroke-width": 0
    }), this.formatStyle({
        fill: this._color1,
        "stroke-width": 0
    }))
}, Bubble.prototype._renderBubbles = function() {
    for (var t = '<circle cx="#{0}" cy="#{1}" r="#{2}" style="#{3}" />', i = [], e = 0, s = this._bubbleLength; s > e; e++) {
        var o = this._bubbles[e];
        i.push(T.Util.format(t, o.sx, o.sy, o.r, this.formatStyle({
            fill: o.color,
            "stroke-width": 0,
            opacity: 0
        })))
    }
    var h = '<g class="bubbles">#{0}</g>';
    return T.Util.format(h, i.join(""))
}, Bubble.prototype._renderShadow = function() {
    return T.Util.format('<path class="shadow" d="#{0}" style="#{1}"></path>', this.options.shadowPath, this.formatStyle({
        fill: this.options.shadowColor,
        "stroke-width": 0
    }))
}, Bubble.prototype._renderDrop = function() {
    return T.Util.format('<path class="drop" d="#{0}" style="#{1}"></path>', this.options.dropPath, this.formatStyle({
        stroke: this._color1,
        fill: "none",
        "stroke-width": 3
    }))
}, Bubble.prototype.getBezierPoint = function(t, i, e, s, o, h, r, a, n) {
    for (var p, l = 0, b = 1, u = .5, _ = 1 / 0, d = 0; Math.abs(_ - d) > .01;) _ = i * Math.pow(l, 3) + e * l * l + s * l + o - t, d = i * Math.pow(u, 3) + e * u * u + s * u + o - t, 0 > _ * d ? (b = u, u = .5 * (l + u)) : (l = u, u = .5 * (u + b));
    return p = Math.round(h * Math.pow(u, 3) + r * u * u + a * u + n), new Array(t, p)
}, Bubble.prototype.bezierRight = function(t) {
    var i = -36.761122,
        e = 47.378061,
        s = 16.080783,
        o = 26.8593355,
        h = 34.527833,
        r = -52.852602,
        a = -34.910442,
        n = 84.067826,
        p = this.getBezierPoint(t, i, e, s, o, h, r, a, n);
    return p[1]
}, Bubble.prototype.bezierLeft = function(t) {
    var i = -40.4136581,
        e = 66.5953407,
        s = .6776529,
        o = 0,
        h = -44.123888,
        r = 65.732988,
        a = 31.626111,
        n = 30.832615;
    if (0 === t) return n;
    var p = this.getBezierPoint(t, i, e, s, o, h, r, a, n);
    return p[1]
}, Bubble.prototype.bezierTop = function(t) {
    var i = 108.4279626,
        e = -158.7982071,
        s = -3.186813,
        o = 53.5570575,
        h = -13.1771229,
        r = 133.0608162,
        a = -119.8836933,
        n = 30.832615,
        p = this.getBezierPoint(t, i, e, s, o, h, r, a, n);
    return p[1]
}, Bubble.prototype.limitLine = function(t, i) {
    var e, s;
    return e = this.bezierTop(t), s = t >= this.options.wave.width ? this.bezierRight(t) : this.bezierLeft(t), i >= e && s >= i ? {
        y: i,
        at: 0
    } : e > i ? {
        y: e,
        at: -1
    } : i > s ? {
        y: s,
        at: 1
    } : void 0
}, Bubble.prototype._drawWave = function() {
    for (var t = ["M 53.5570575,30.832615 L"], i = ["M 53.5570575,30.832615 L"], e = this._end; e >= this._start; e--) {
        var s = e,
            o = .6 * Math.sin(this._w * this._t * 2 * this._speed + .9 * this._k * e) * this._a + this._waveTop;
        t.push(" "), t.push(s), t.push(","), t.push(this.limitLine(s, o).y);
        var h = e,
            r = Math.sin(this._w * this._t * this._speed - this._k * e) * this._a + this._waveTop;
        i.push(" "), i.push(h), i.push(","), i.push(this.limitLine(h, r).y)
    }
    return t.push(this.options.wavePath), i.push(this.options.wavePath), this._t = (this._t + this._increase) % 27644437, [t.join(""), i.join("")]
}, Bubble.prototype.animate = function() {
    var t = this._drawWave();
    if ($(this._div).find(".wave1").attr("d", t[0]), $(this._div).find(".wave2").attr("d", t[1]), this._circle) {
        var i = this._drawCircle();
        $(this._div).find(".bubbles").children().each(function(t) {
            $(this).attr("cy", i[t].y), $(this).css("opacity", i[t].opacity)
        })
    }
    this._st = setTimeout($.proxy(this, "animate"), this.options.interval)
}, Bubble.prototype._drawCircle = function() {
    for (var t = [], i = 0, e = this._bubbleLength; e > i; i++) {
        var s = this._bubbles[i],
            o = s.sy,
            h = 0;
        this._b[i][1] -= s.speed, this._b[i][1] <= s.sy && this._b[i][1] >= s.ey ? (o = this._b[i][1], h = Math.abs((s.ey - this._b[i][1]) / (s.ey - s.sy))) : this._b[i][1] < s.ey && (this._b[i][1] = s.sy + s.speed * (2 * (11 - this._heat) - 7)), t.push({
            y: o,
            opacity: h
        })
    }
    return t
}, Bubble.prototype.dealloc = function() {
    this._st && clearTimeout(this._st)
};
function TopMarker(t) {
	var defaultOp = {
	    con : "body",
		heat : 3,
		label:""
	};
    this._info = $.extend(true,{},defaultOp,t) , this.initMarker()
}
TopMarker.prototype.colors = ["#f5c231", "#26b879", "#4eb3e1",  "#ed6e4d","#2371d3","#286496"], TopMarker.prototype.colors2 = ["#f5c231", "#26b879", "#4eb3e1",  "#ed6e4d","#2371d3","#286496"], TopMarker.prototype.waves = ["m 14.889992,58.069762 c 5.643461,10.011707 9.24888,15.666943 14.51866,26.083861 C 35.652796,72.516809 36.113214,72.742238 43.515243,59.816083 30.67488,65.798795 22.706731,50.246836 14.889992,58.069762 z", "m 11.389992,51.944762 c 5.643461,10.011707 12.74888,21.791943 18.01866,32.208861 C 35.652796,72.516809 39.613214,67.367238 46.515243,54.316083 32.54988,41.173795 28.831731,66.621836 11.389992,51.944762 z", "M 8.0312343,46.111131 C 13.674696,56.122838 25.199532,73.913482 29.408652,84.153623 35.652796,72.516809 44.032632,59.23551 50.934661,46.184355 33.582394,31.918683 21.115979,59.962583 8.0312343,46.111131 z", "M 4.8492537,41.918412 C 9.2552784,49.05177 25.199532,73.913482 29.408652,84.153623 34.768913,72.516809 50.396593,50.573452 53.939864,38.93651 39.712597,20.847518 17.933998,52.361185 4.8492537,38.509733 z", "M 2.5493168,35.918412 C 2.7752008,41.460449 25.199532,73.913482 29.408652,84.153623 34.768913,72.516809 55.921861,43.262461 56.106374,30.918412 39.816607,43.82942 15.960049,10.729844 2.5493168,30.918412 z", "M 2.5493168,29.918412 C 2.7752008,41.460449 25.199532,73.913482 29.408652,84.153623 34.768913,72.516809 55.921861,43.262461 56.106374,30.918412 39.816607,43.82942 15.960049,10.729844 2.5493168,30.918412 z"], TopMarker.prototype.waveAniPaths = [
    ["m 14.536441,58.069762 c 5.643461,10.01171 9.24888,15.66695 14.51866,26.08386 6.244144,-11.63681 6.704562,-11.41138 14.106591,-24.33754 -12.407751,-4.709037 -13.901026,14.515281 -28.625251,-1.74632 z", "m 14.536441,57.716205 c 5.643461,10.01171 9.24888,15.66695 14.51866,26.08386 6.244144,-11.63681 6.704562,-11.41138 14.106591,-24.33754 -13.503945,8.846681 -14.161434,-10.012262 -28.625251,-1.74632 z", "m 14.536441,57.716205 c 5.643461,10.01171 9.24888,15.66695 14.51866,26.08386 6.244144,-11.63681 6.704562,-11.41138 14.106591,-24.33754 -12.296839,-0.620202 -18.43656,8.346757 -28.625251,-1.74632 z"],
    ["m 11.389992,51.944762 c 5.643461,10.011707 12.74888,21.791943 18.01866,32.208861 6.244144,-11.636814 10.204562,-16.786385 17.106591,-29.83754 -18.62415,12.1026 -12.256512,-10.63749 -35.125251,-2.371321 z", "m 11.389992,51.944762 c 5.643461,10.011707 12.74888,21.791943 18.01866,32.208861 6.244144,-11.636814 10.204562,-16.786385 17.106591,-29.83754 -12.249149,-6.1474 -14.006512,10.23751 -35.125251,-2.371321 z", "m 11.389992,51.944762 c 5.643461,10.011707 12.74888,21.791943 18.01866,32.208861 6.244144,-11.636814 10.204562,-16.786385 17.106591,-29.83754 -16.12415,3.2276 -19.006512,-8.13749 -35.125251,-2.371321 z"],
    ["m 8.0457597,46.111131 c 5.6434563,10.01171 17.1682833,27.80236 21.3773993,38.0425 6.24414,-11.63682 14.62398,-24.91812 21.52601,-37.96927 -13.520163,5.599081 -21.33339,-14.545248 -42.9034093,-0.0732 z", "m 8.0457597,46.390701 c 5.6434563,10.01171 17.1682833,27.80236 21.3773993,38.0425 6.24414,-11.63682 14.62398,-24.91812 21.52601,-37.96927 -29.881076,-9.920248 -17.826662,15.128735 -42.9034093,-0.0732 z", "m 8.0457597,46.390701 c 5.6434563,10.01171 17.1682833,27.80236 21.3773993,38.0425 6.24414,-11.63682 14.62398,-24.91812 21.52601,-37.96927 C 33.057685,62.519488 26.026945,34.668683 8.0457597,46.390731 z"],
    ["M 4.6228498,41.918412 C 9.0288748,49.090726 24.973128,73.952438 29.182248,84.192579 34.542512,72.555765 50.170192,50.612408 53.713462,38.975466 23.6216,27.497387 28.081332,63.418683 4.6228498,38.548689 z", "M 4.6228498,38.548689 C 9.0288748,49.090726 24.973128,73.952438 29.182248,84.192579 34.542512,72.555765 50.170192,50.612408 53.713462,38.975466 42.521726,48.621124 43.856458,17.584159 4.6228498,38.548689 z", "M 4.6228498,38.548689 C 9.0288748,49.090726 24.973128,73.952438 29.182248,84.192579 34.542512,72.555765 50.170192,50.612408 53.713462,38.975466 34.575658,56.806153 27.79706,37.919945 4.6228498,38.548689 z"],
    ["m 2.5739762,35.918412 c 0.22589,10.542038 22.6502208,43.0554 26.8593408,53.295541 5.36026,-11.636814 26.51321,-40.891162 26.69772,-53.235212 C 46.674582,6.846478 26.531256,47.87672 2.6989762,30.642907", "m 2.5739762,30.642908 c 0.22589,10.542038 22.6502208,43.0554 26.8593408,53.295541 5.36026,-11.636814 26.51321,-40.891162 26.69772,-53.235212 C 38.368233,46.908924 32.338236,8.7854683 2.6989762,30.642907", "m 2.5739762,30.642908 c 0.22589,10.542038 22.6502208,43.0554 26.8593408,53.295541 5.36026,-11.636814 26.51321,-40.891162 26.69772,-53.235212 C 36.143359,9.782138 20.903839,40.273167 2.6989762,30.642907"],
	["m 2.5739762,29.918412 c 0.22589,10.542038 22.6502208,43.0554 26.8593408,53.295541 5.36026,-11.636814 26.51321,-40.891162 26.69772,-53.235212 C 46.674582,6.846478 26.531256,47.87672 2.6989762,30.642907", "m 2.5739762,30.642908 c 0.22589,10.542038 22.6502208,43.0554 26.8593408,53.295541 5.36026,-11.636814 26.51321,-40.891162 26.69772,-53.235212 C 38.368233,46.908924 32.338236,8.7854683 2.6989762,30.642907", "m 2.5739762,30.642908 c 0.22589,10.542038 22.6502208,43.0554 26.8593408,53.295541 5.36026,-11.636814 26.51321,-40.891162 26.69772,-53.235212 C 36.143359,9.782138 20.903839,40.273167 2.6989762,30.642907"]
], TopMarker.prototype.initMarker = function() {
    var t = $('<div style="position:absolute;cursor:pointer;"></div>'),
        i = t.get(0);

    this.div = i;
	this.initialize({});
}, TopMarker.prototype.initialize = function(t) {
    function i() {
        v.animate({
            path: u[0]
        }, 500, null, a)
    }

    function a() {
        v.animate({
            path: u[1]
        }, 500, null, o)
    }

    function o() {
        v.animate({
            path: u[2]
        }, 600, null, n)
    }

    function n() {
        f.stop || v.animate({
            path: c
        }, 500, null, i)
    }

    function e() {
        y.animate({
            path: u[0]
        }, 500, null, p)
    }

    function p() {
        y.animate({
            path: u[1]
        }, 500, null, r)
    }

    function r() {
        y.animate({
            path: u[2]
        }, 600, null, s)
    }

    function s() {
        f.stop || y.animate({
            path: c
        }, 500, null, e)
    }
    var h = parseInt(this._info.heat - 1),
        l = this.colors[h],
        c = this.waves[h],
        m = Raphael(this.div, 28, 58),
        f = this;
    m.setViewBox(0, -40, 66, 56), m.path("m 56.5,87.987175 a 27.25,6.375 0 1 1 -54.5,0 27.25,6.375 0 1 1 54.5,0 z").attr({
        "stroke-width": 0,
        fill: "#191E26"
    }), m.path("M 2.5739855,30.832615 C 2.7998698,41.374652 25.224201,73.827685 29.433321,84.067826 34.793582,72.431012 55.94653,43.176664 56.131043,30.832615 c -1.062271,-39.9612311 -55.0572777,-35.5688568 -53.5570575,0 z").attr({
        stroke: l,
        "stroke-width": 1.2,
        fill: "none"
    });
    var u = this.waveAniPaths[h],
        v = m.path(c);
    v.attr({
        fill: this.colors2[h],
        "stroke-width": 0,
        opacity: 0
    }), v.animate({
        opacity: 1
    }, 100, "<>", function() {
        setTimeout(i, 400)
    });
    var y = m.path(c);
    if (y.attr({
        fill: l,
        "stroke-width": 0,
        opacity: 0
    }), y.animate({
        opacity: 1
    }, 100, "<>", function() {
        e()
    }), this._info.heat > 2) {
        var d = m.circle(30, 30, 3).attr({
            fill: l,
            stroke: "none"
        });
        ani = Raphael.animation({
            cy: -55,
            opacity: 0
        }, 1e3), d.animate(ani), d.animate(ani.repeat(1 / 0));
        var k = m.circle(30, 40, 4).attr({
            fill: l,
            stroke: "none"
        });
        ani2 = Raphael.animation({
            cy: -32,
            opacity: 0
        }, 1e3), k.animate(ani2), k.animate(ani2.repeat(1 / 0));
        var M = m.circle(30, 50, 6).attr({
            fill: l,
            stroke: "none"
        });
        ani3 = Raphael.animation({
            cy: -12,
            opacity: 0
        }, 1e3), M.animate(ani3), M.animate(ani3.repeat(1 / 0)), this.pop = d, this.pop2 = k, this.pop3 = M
    }
    return this._map = t, $(this.div).append('<div class="top-marker-label"><span>' + this._info.label + "</span></div>"),  $(this._info.con).append(this.div), this.div
}, TopMarker.prototype.draw = function() {
    if (this._info) {
        var t = this._map.pointToOverlayPixel(new BMap.Point(this._info.x, this._info.y));
        $(this.div).css({
            left: t.x - 12 + "px",
            top: t.y - 50 + "px"
        })
    }
}, TopMarker.prototype.addEventListener = function(t, i) {
    $(this.div).on(t, ":first", i), $(this.div).on(t, ">div>span", i)
}, TopMarker.prototype.dealloc = function() {
    this.pop && this.pop.stop(), this.pop1 && this.pop1.stop(), this.pop2 && this.pop2.stop(), this.stop = !0
};;
