/**
 * 
 */
var nodeParaNameMap ={
		C:{
			key:"daja#DAJAID",
			name:"daja#CASE_NOTIFICATIONNO",
			attrs:[
				{name:"daja#CASE_NOTIFICATIONNO",cnname:"报案号",type:"string",isNeed:true,isShow:true},
				{name:"daja#CASE_NOTIFICATIONDATE",cnname:"报案日期",type:"date",isNeed:false,isShow:true},
				{name:"daja#CASE_NOTIFICATIONTEL",cnname:"报案电话",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_BRANCH_CODE",cnname:"分公司",type:"string",isNeed:false,isShow:true},
			/*	{name:"daja#CASE_DRIVERNAME",cnname:"驾驶员名称",type:"string"},*/
				{name:"daja#CASE_ACCIDENTCAUSE",cnname:"出险原因",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_ACCIDENTDATE",cnname:"出险时间",type:"date",isNeed:false,isShow:true},
				{name:"daja#CASE_ACCIDENTLOCATION",cnname:"出险地址",type:"string",isNeed:false,isShow:true},
			/*	{name:"daja#CASE_CODE",cnname:"维修厂名称",type:"string"},*/
				{name:"daja#CASE_CASEFOLDERID",cnname:"案件号",type:"string",isNeed:true,isShow:true},
				/*{name:"daja#CASE_NOTIFICATIONNAME",cnname:"报案人姓名",type:"string",isNeed:false},*/
				{name:"daja#CASE_UNDERWIRTING_BRANCH_CODE",cnname:"承保分公司代码",type:"string",isNeed:false},
				/*{name:"daja#CASE_UNDERWIRTING_BRANCH_NAME",cnname:"承保分公司",type:"string",isNeed:false},*/
				{name:"daja#CASE_ACCIDENT_BRANCH_NAME",cnname:"出险分公司",type:"string",isNeed:false},
				{name:"daja#CASE_ACCIDENT_BRANCH_CODE",cnname:"出险分公司代码",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_SURVEYOR_BRANCH_CODE",cnname:"查勘分公司代码",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_SURVEYOR_BRANCH_NAME",cnname:"查勘分公司",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_ASSESSMENT_BRANCH_CODE",cnname:"估损分公司代码",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_ASSESSMENT_BRANCH_NAME",cnname:"估损分公司",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_ASSESSMENTSTAFF_CODE",cnname:"估损员代码",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_ASSESSMENTSTAFF_NAME",cnname:"估损员",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_ISINJURYINVOLVED",cnname:"是否有人伤",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_CLAIMAMOUNT",cnname:"理算金额",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_ACCIDENTSTATEMENT",cnname:"出险情况",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_SURVEYOR_CODE",cnname:"查勘员代码",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_SURVEYOR_NAME",cnname:"查勘员名字",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_UNDERWIRTING_BRANCH_NAME",cnname:"承保分公司",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_NOTIFICATIONNAME",cnname:"报案人姓名",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_INSURANT_NAME",cnname:"被保险人姓名",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_THEINJURED_NAME",cnname:"伤者姓名",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_THEINJURED_TEL",cnname:"伤者电话",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_VEHICLEOWNER_NAME",cnname:"行驶证车主姓名",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_ACCIDENTDRIVER_NAME",cnname:"标的车驾驶员姓名",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_ACCIDENTDRIVER_TEL",cnname:"事故信息标的车驾驶员电话",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_ACCIDENTDRIVER_TEL2",cnname:"报案95500标的车驾驶员电话",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_THIRD_PARTY_ACCIDENTDRIVER_NAME",cnname:"三者车驾驶员姓名",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_THIRD_PARTY_ACCIDENTDRIVER_TEL",cnname:"三者车驾驶员电话",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_TARGET_CAR_VIN",cnname:"标的车车架号",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_TARGET_CAR_PLATENO",cnname:"标的车车牌号",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_THIRD_PARTY_CAR_VIN",cnname:"三者车车架号",type:"string",isNeed:false,isShow:true},
				{name:"daja#CASE_THIRD_PARTY_CAR_PLATENO",cnname:"三者车车牌号",type:"string",isNeed:false,isShow:true},
				
				{name:"daja#TYPE",cnname:"",type:"string",isNeed:false,isShow:false},
				{name:"daja#IS_DELETE",cnname:"",type:"string",isNeed:false,isShow:false},
				{name:"daja#IS_RANDOM",cnname:"",type:"string",isNeed:false,isShow:false}
			]
		},
		I:{
			key:"daja#DAJAID",
			name:"daja#InsuranceProduct_POLICYNO",
			attrs:[
			    {name:"daja#InsuranceProduct_POLICYNO",cnname:"保单号",type:"string",isNeed:true,isShow:true},
			    {name:"daja#InsuranceProduct_INSURANCE_BRANCH_CODE",cnname:"分公司",type:"string",isNeed:false,isShow:true},
			    {name:"daja#InsuranceProduct_POLICYTYPE",cnname:"保单类型",type:"string",isNeed:false,isShow:true},
			    {name:"daja#InsuranceProduct_EFFECTIVEDATE",cnname:"起保日期",type:"date",isNeed:false,isShow:true},
			    {name:"daja#InsuranceProduct_EXPIREDATE",cnname:"终保日期",type:"date",isNeed:false,isShow:true},
			    {name:"daja#InsuranceProduct_AGENTCODE",cnname:"代理点",type:"string",isNeed:false,isShow:true},
				{name:"daja#InsuranceProduct_AGENTNAME",cnname:"代理点名字",type:"string",isNeed:false,isShow:true},
			    {name:"daja#InsuranceProduct_OPERATORCODE",cnname:"经办人",type:"string",isNeed:false,isShow:true},
			    {name:"daja#InsuranceProduct_OPERATORNAME",cnname:"经办人名字",type:"string",isNeed:false,isShow:true}
	        ]
		},
		S:{
			key:"daja#DAJAID",
			name:"daja#SettlementAccount_ACCOUNTNO",
			attrs:[
				{name:"daja#SettlementAccount_PAYEEACCOUNTNAME",cnname:"收款人户名",type:"string",isNeed:true,isShow:true},
				{name:"daja#SettlementAccount_ACCOUNTNO",cnname:"支付账号",type:"string",isNeed:true,isShow:true},
	/*			{name:"daja#SettlementAccount_CERTIFICATETYPE",cnname:"证件类型",type:"string"},
				{name:"daja#SettlementAccount_CERTIFICATENO",cnname:"身份证号码",type:"string"},
				{name:"daja#SettlementAccount_TIMEOFCOMMERCIALPAYMENT",cnname:"商业险实际支付时间",type:"date"},
				{name:"daja#SettlementAccount_TIMEOFCTPPAYMENT",cnname:"交强险实际支付时间",type:"date"},
				{name:"daja#SettlementAccount_DESCRIPTION",cnname:"支付金额",type:"string"} */
	        ]
		},
		V:{
			key:"daja#DAJAID",
			name:"daja#Accident_Vehicle_PLATENO",
			attrs:[
			    {name:"daja#Accident_Vehicle_PLATENO",cnname:"车牌号码",type:"string",isNeed:true,isShow:true},
			/*    {name:"daja#Accident_Vehicle_THIRDPARTYFLAG",cnname:"是否三者",type:"string"},*/
			    {name:"daja#Accident_Vehicle_VEHICLEREGISTERDATE",cnname:"车辆登记日期",type:"date",isNeed:false,isShow:true},
			    {name:"daja#Accident_Vehicle_PURCHASEPRICE",cnname:"新车购置价",type:"string",isNeed:false,isShow:true},
			    {name:"daja#Accident_Vehicle_MOLDNAME",cnname:"车型名称",type:"string",isNeed:false,isShow:true},
			    {name:"daja#Accident_Vehicle_VIN",cnname:"车架号",type:"string",isNeed:true,isShow:true},
			    {name:"daja#Accident_Vehicle_ENGINENO",cnname:"发动机号",type:"string",isNeed:false,isShow:true}
	        ]
		},
		P:{
			key:"daja#DAJAID",
			name:"daja#Person_NAME",
			attrs:[
			    {name:"daja#Person_NAME",cnname:"姓名",type:"string",isNeed:true,isShow:true},  
			    {name:"daja#Person_CERTIFICATENO",cnname:"证件号码",type:"string",isNeed:true,isShow:true},
			    {name:"daja#Person_TEL",cnname:"电话",type:"string",isNeed:false,isShow:true},
			    {name:"daja#Person_ADDRESS",cnname:"地址",type:"string",isNeed:false,isShow:true},
			    {name:"daja#Person_CERTIFICATETYPE",cnname:"证件类型",type:"string",isNeed:true,isShow:true}
	        ]
		},
		T:{
			key:"daja#DAJAID",
			name:"daja#Telephone_TEL",
			attrs:[
			    {name:"daja#Telephone_TEL",cnname:"电话",type:"string",isNeed:true,isShow:true}
	        ]
		}
}

/*
var linkNameMap={
		"daja#APPLICANT":"投保人",
		"daja#INSURANT":"被保人",
		"daja#REPORTER":"报案人",
		"daja#VEHICLEOWNER":"车主",
		"daja#ACCIDENTDRIVER":"出险驾驶员",
		"daja#THEINJURED":"追偿对象",
		"daja#Telephone_of_Person":"电话号码",
		"daja#Insurance_Product_of_Case":"案件保单",
		"daja#Accident_Vehicle_of_Case":"案件车辆",
		"daja#SettlementAccount_of_Person":"户主",
		"daja#SettlementAccount_of_Case":"支付账号",
		"daja#CLAIMANT":"索赔权益人"
}
*/
var linkNameMap={
        "policyTouAndben":{name:"POLICYTOUANDBEN",cnName:"保单的投保人/领款人"},
          "POLICYTOUANDBEN":{name:"POLICYTOUANDBEN",cnName:"保单的投保人/领款人"},

      "policyHasTouinfo":{name:"POLICYHASTOUINFO",cnName:"保单的投保人"},
      "POLICYHASTOUINFO":{name:"POLICYHASTOUINFO",cnName:"保单的投保人"},

        "policyHasBeninfo":{name:"POLICYHASBENINFO",cnName:"保单的领款人"},
        "POLICYHASBENINFO":{name:"POLICYHASBENINFO",cnName:"保单的领款人"},

    "benHasPhoneinfo":{name:"BENHASPHONEINFO",cnName:"领款人电话"},
    "BENHASPHONEINFO":{name:"BENHASPHONEINFO",cnName:"领款人电话"},

    "benHasClmsetnoinfo":{name:"BENHASCLMSETNOINFO",cnName:"领款人账户"},
    "BENHASCLMSETNOINFO":{name:"BENHASCLMSETNOINFO",cnName:"领款人账户"},

    "claiminfoHasPolicyinfo":{name:"CLAIMINFOHASPOLICYINFO",cnName:"案件的保单"},
    "CLAIMINFOHASPOLICYINFO":{name:"CLAIMINFOHASPOLICYINFO",cnName:"案件的保单"},

    "claiminfoHasBeiinfo":{name:"CLAIMINFOHASBEIINFO",cnName:"案件的被保人"},
    "CLAIMINFOHASBEIINFO":{name:"CLAIMINFOHASBEIINFO",cnName:"案件的被保人"},


    "claiminfoHasHosinfo":{name:"CLAIMINFOHASHOSINFO",cnName:"案件的医院"},
    "CLAIMINFOHASHOSINFO":{name:"CLAIMINFOHASHOSINFO",cnName:"案件的医院"},

	"claiminfoHasIll":{name:"claiminfoHasIll",cnName:"重疾类型"},
	"CLAIMINFOHASILL":{name:"CLAIMINFOHASILL",cnName:"重疾类型"},

	"pidAgeinfo":{name:"pidAgeinfo",cnName:"被保人年龄"},
	"PIDAGEINFO":{name:"PIDAGEINFO",cnName:"被保人年龄"},

	"pidCareerinfo":{name:"pidCareerinfo",cnName:"被保人职业"},
	"PIDCAREERINFO":{name:"PIDCAREERINFO",cnName:"被保人职业"},

	"hosinfoHasLvl":{name:"hosinfoHasLvl",cnName:"医院等级"},
	"HOSINFOHASLVL":{name:"HOSINFOHASLVL",cnName:"医院等级"},

    "policyinfoHasEmpinfo":{name:"POLICYINFOHASEMPINFO",cnName:"保单的业务员"},
    "POLICYINFOHASEMPINFO":{name:"POLICYINFOHASEMPINFO",cnName:"案件的业务员"},


	"daja#APPOINTEDDRIVER":{name:"APPOINTEDDRIVER",cnName:"指定驾驶员"},
		"APPOINTEDDRIVER":{name:"APPOINTEDDRIVER",cnName:"指定驾驶员"},
		"daja#THIRD_PARTY_ACCIDENTDRIVER":{name:"THIRD_PARTY_ACCIDENTDRIVER",cnName:"三者车驾驶员"},
		"THIRD_PARTY_ACCIDENTDRIVER":{name:"THIRD_PARTY_ACCIDENTDRIVER",cnName:"三者车驾驶员"},
		"daja#Telephone_of_Case":{name:"Telephone_of_Case",cnName:"报案电话"},
		"Telephone_of_Case":{name:"Telephone_of_Case",cnName:"报案电话"},
		
		"daja#Insurance_Product_of_Case":{name:"INSURANCE_PRODUCT",cnName:"案件关联保单"},
		"daja#SettlementAccount_of_Case":{name:"CASE_TO_SETTLEMENT_ACCOUNT",cnName:"案件支付账号"},
		"daja#SettlementAccount_of_Person":{name:"SETTLEMENT_ACCOUNT_TO_PERSON",cnName:"支付账号户主"},
		"daja#INSURANT":{name:"INSURANT",cnName:"被保险人"},
		"daja#REPORTER":{name:"REPORTER",cnName:"报案人"},
		"daja#VEHICLEOWNER":{name:"VEHICLEOWNER",cnName:"车主"},
		"daja#ACCIDENTDRIVER":{name:"ACCIDENTDRIVER",cnName:"标的车驾驶员"},
		"daja#THEINJURED":{name:"THEINJURED",cnName:"伤者"},
		"daja#RESPONSIBLEPARTY":{name:"RESPONSIBLEPARTY",cnName:"追偿对象"},
		"daja#FAMILYMEMBEROFTHEINJURED":{name:"FAMILYMEMBEROFTHEINJURED",cnName:"伤者家庭成员"},
		"daja#THEINJUREDCONTACT":{name:"THEINJUREDCONTACT",cnName:"伤者联系人"},
		"daja#CLAIMANT":{name:"CLAIMANT",cnName:"索赔权益人"},
		"daja#Telephone_of_Person":{name:"PERSON_TO_TELEPHONE",cnName:"电话"},
		"daja#Accident_Vehicle_of_Case":{name:"CASE_TO_ACCIDENT_VEHICLE",cnName:"标的车"},
		"daja#Third_Party_Vehicle":{name:"CASE_TO_THIRD_PARTY_VEHICLE",cnName:"三者车"},
		"other":{name:"other",cnName:"自定义"},
		"INSURANCE_PRODUCT":{name:"INSURANCE_PRODUCT",cnName:"案件关联保单"},
		"CASE_TO_SETTLEMENT_ACCOUNT":{name:"CASE_TO_SETTLEMENT_ACCOUNT",cnName:"案件支付账号"},
		"SETTLEMENT_ACCOUNT_TO_PERSON":{name:"SETTLEMENT_ACCOUNT_TO_PERSON",cnName:"支付账号户主"},
		"INSURANT":{name:"INSURANT",cnName:"被保险人"},
		"REPORTER":{name:"REPORTER",cnName:"报案人"},
		"VEHICLEOWNER":{name:"VEHICLEOWNER",cnName:"车主"},
		"ACCIDENTDRIVER":{name:"ACCIDENTDRIVER",cnName:"标的车驾驶员"},
		"THEINJURED":{name:"THEINJURED",cnName:"伤者"},
		"RESPONSIBLEPARTY":{name:"RESPONSIBLEPARTY",cnName:"追偿对象"},
		"FAMILYMEMBEROFTHEINJURED":{name:"FAMILYMEMBEROFTHEINJURED",cnName:"伤者家庭成员"},
		"THEINJUREDCONTACT":{name:"THEINJUREDCONTACT",cnName:"伤者联系人"},
		"CLAIMANT":{name:"CLAIMANT",cnName:"索赔权益人"},
		"PERSON_TO_TELEPHONE":{name:"PERSON_TO_TELEPHONE",cnName:"电话"},
		"CASE_TO_ACCIDENT_VEHICLE":{name:"CASE_TO_ACCIDENT_VEHICLE",cnName:"标的车"},
		"CASE_TO_THIRD_PARTY_VEHICLE":{name:"CASE_TO_THIRD_PARTY_VEHICLE",cnName:"三者车"},
		"CASE_TO_TELEPHONE":{name:"CASE_TO_TELEPHONE",cnName:"报案电话"}
}

/*
var linkNameMap={
		"INSURANCE_PRODUCT":{name:"INSURANCE_PRODUCT",cnName:"案件到保单"},
		"CASE_TO_SETTLEMENT_ACCOUNT":{name:"CASE_TO_SETTLEMENT_ACCOUNT",cnName:"案件到支付账号"},
		"daja#SettlementAccount_of_Person":{name:"SETTLEMENT_ACCOUNT_TO_PERSON",cnName:"支付账号到人"},
		"daja#INSURANT":{name:"INSURANT",cnName:"被保险人"},
		"daja#REPORTER":{name:"REPORTER",cnName:"报案人"},
		"daja#VEHICLEOWNER":{name:"VEHICLEOWNER",cnName:"车主"},
		"daja#ACCIDENTDRIVER":{name:"ACCIDENTDRIVER",cnName:"出现驾驶员"},
		"daja#THEINJURED":{name:"THEINJURED",cnName:"伤者"},
		"daja#RESPONSIBLEPARTY":{name:"RESPONSIBLEPARTY",cnName:"追偿对象"},
		"daja#FAMILYMEMBEROFTHEINJURED":{name:"FAMILYMEMBEROFTHEINJURED",cnName:"伤者家庭成员"},
		"daja#THEINJUREDCONTACT":{name:"THEINJUREDCONTACT",cnName:"伤者联系人"},
		"daja#CLAIMANT":{name:"CLAIMANT",cnName:"索赔权益人"},
		"daja#Telephone_of_Person":{name:"PERSON_TO_TELEPHONE",cnName:"人到电话实体"},
		"daja#Accident_Vehicle_of_Case":{name:"CASE_TO_ACCIDENT_VEHICLE",cnName:"案件到车（非三者车）"},
		"daja#Third_Party_Vehicle":{name:"CASE_TO_THIRD_PARTY_VEHICLE",cnName:"案件到三者车"},
		"other":{name:"other",cnName:"自定义"}
}
*/
var linkType = {
		"CP":["daja#THIRD_PARTY_ACCIDENTDRIVER","daja#INSURANT","daja#REPORTER","daja#ACCIDENTDRIVER","daja#THEINJURED","daja#RESPONSIBLEPARTY","daja#FAMILYMEMBEROFTHEINJURED","daja#THEINJUREDCONTACT","daja#CLAIMANT"],
		"CI":["daja#Insurance_Product_of_Case"],
		"CS":["daja#SettlementAccount_of_Case"],
		"SP":["daja#SettlementAccount_of_Person"],
		"PT":["daja#Telephone_of_Person"],
		"CV":["daja#Accident_Vehicle_of_Case","daja#Third_Party_Vehicle"],
		"CT":["daja#Telephone_of_Case"]
}


function linkRelToDesc(rel,link,attr){
	if(attr.desc == undefined){
		attr.desc = "";
	}
	var str;
	var srcName = link.source.name,
		tarName = link.target.name;
	switch(rel){
		case "daja#Insurance_Product_of_Case": case "INSURANCE_PRODUCT": case "案件关联保单":
			str = "案件（<span>"+srcName+"</span>）的<span class='gx'>关联保单</span></span>是<span>"+tarName+"</span>";
			break;
		case "daja#SettlementAccount_of_Case": case "CASE_TO_SETTLEMENT_ACCOUNT": case "案件支付账号":		
			var money = (/^[(-?\d+\.\d+)|(-?\d+)|(-?\.\d+)]+$/.test(attr.desc)?attr.desc.trim():"未知") || "未知";
			str = "案件（<span>"+srcName+"</span>）的<span class='gx'>支付账号</span>是<span>"+tarName+"</span>"+"，支付金额<span>"+money+"</span>";
			break;
		case "daja#SettlementAccount_of_Person": case "SETTLEMENT_ACCOUNT_TO_PERSON": case "支付账号户主":
			str = "账号（<span>"+srcName+"</span>）的<span class='gx'>户主</span>是<span>"+tarName+"</span>";
			break;
		case "daja#INSURANT": case "INSURANT": case "被保险人":
			str = "案件（<span>"+srcName+"</span>）的<span class='gx'>被保险人</span>是<span>"+tarName+"</span>";
			break;
		case "daja#REPORTER": case "REPORTER": case "报案人":
			str = "案件（<span>"+srcName+"</span>）的<span class='gx'>报案人</span>是<span>"+tarName+"</span>";
			break;
		case "daja#VEHICLEOWNER": case "VEHICLEOWNER": case "车主":
			str = "<span>"+srcName+"</span>的<span class='gx'>车主</span>是<span>"+tarName+"</span>";
			break;
		case "daja#ACCIDENTDRIVER": case "ACCIDENTDRIVER": case "标的车驾驶员":
			str = "案件（<span>"+srcName+"</span>）的<span class='gx'>标的车驾驶员</span>是<span>"+tarName+"</span>";
			break;
		case "daja#THEINJURED": case "THEINJURED": case "伤者":
			str = "案件（<span>"+srcName+"</span>）的<span class='gx'>伤者</span>是<span>"+tarName+"</span>";
			break;
		case "daja#RESPONSIBLEPARTY": case "RESPONSIBLEPARTY": case "追偿对象":
			str = "案件（<span>"+srcName+"</span>）的<span class='gx'>追偿对象</span>是<span>"+tarName+"</span>";
			break;
		case "daja#FAMILYMEMBEROFTHEINJURED": case "FAMILYMEMBEROFTHEINJURED": case "伤者家庭成员":
			str = "案件（<span>"+srcName+"</span>）的<span class='gx'>伤者家庭成员</span>是<span>"+tarName+"</span>";
			break;
		case "daja#THEINJUREDCONTACT": case "THEINJUREDCONTACT": case "伤者联系人":
			str = "案件（<span>"+srcName+"</span>）的<span class='gx'>伤者联系人</span>是<span>"+tarName+"</span>";
			break;
		case "daja#CLAIMANT": case "CLAIMANT": case "索赔权益人":
			str = "案件（<span>"+srcName+"</span>）的<span class='gx'>索赔权益人</span>是<span>"+tarName+"</span>";
			break;
		case "daja#Telephone_of_Person": case "PERSON_TO_TELEPHONE": case "电话":
			str = "<span>"+srcName+"</span>的<span class='gx'>电话号码</span>是<span>"+tarName+"</span>";
			break;
		case "daja#Accident_Vehicle_of_Case": case "CASE_TO_ACCIDENT_VEHICLE": case "标的车":
			var locArr = attr.desc.split("@");
			var loc = (locArr.length>1?locArr[1].trim():"无记录") || "无记录";
			str = "案件（<span>"+srcName+"</span>）的<span class='gx'>标的车</span>是<span>"+tarName+"</span>"+"，维修地点为<span>"+loc+"</span>";
			break;
		case "daja#Third_Party_Vehicle": case "CASE_TO_THIRD_PARTY_VEHICLE": case "三者车":
			var locArr = attr.desc.split("@");
			var loc = (locArr.length>1?locArr[1].trim():"无记录") || "无记录";
			str = "案件（<span>"+srcName+"</span>）的<span class='gx'>三者车</span>是<span>"+tarName+"</span>"+"，维修地点为<span>"+loc+"</span>";
			break;
		case "daja#Telephone_of_Case": case "Telephone_of_Case": case "报案电话":
			str = "案件（<span>"+srcName+"</span>）的<span class='gx'>报案电话</span>是<span>"+tarName+"</span>";
			break;
		case "daja#THIRD_PARTY_ACCIDENTDRIVER": case "THIRD_PARTY_ACCIDENTDRIVER": case "三者车驾驶员":
			str = "案件（<span>"+srcName+"</span>）的<span class='gx'>三者车驾驶员</span></span>是<span>"+tarName+"</span>";
			break;
		case "daja#APPOINTEDDRIVER": case "APPOINTEDDRIVER": case "制定驾驶员":
			str = "案件（<span>"+srcName+"</span>）的<span class='gx'>制定驾驶员</span></span>是<span>"+tarName+"</span>";
			break;
		default:
			str = "起点（<span>"+srcName+"<span>)-终点（<span>"+tarName+"<span>)";
	}
	return str;
}













