package com.dgt.graphdemo.controller;

import com.dgt.graphdemo.entity.GraphDatilData;
import com.dgt.graphdemo.result.Result;
import com.dgt.graphdemo.service.DatilFormGraphService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author lugela
 * @Title: DatilFromGraphController
 * @ProjectName graphdemo
 * @Description: TODO
 * @date 2019/6/24 14:03
 */
@RestController
@RequestMapping("/dgt/graph")
public class DatilFromGraphController {
    @Autowired
    DatilFormGraphService datilFormGraphService;

    @GetMapping("/getDetailByClaimno")
    public Result<GraphDatilData> getDetailByClaimno(String claimno){
        GraphDatilData datilGraph = datilFormGraphService.getDatilGraph(claimno);

        return Result.successResult(datilGraph);
    }

}
