<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%
	String path = request.getContextPath();
	String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>
<!DOCTYPE html>
<%@ include file="/WEB-INF/jsp/common/global.jsp"%>
<html>
<head>
	<title>数字字典 寿险反欺诈系统</title>

	<script src="../compass/app/js/zTree/jquery.ztree.all-3.5.min.js"></script>
	<script src="../compass/app/js/zTree/jquery.ztree.exhide-3.5.min.js"></script>
	<script src="../compass/app/js/zTree/tree.js"></script>
	<link href="../compass/app/js/zTree/zTreeStyle.css" type="text/css" rel="stylesheet" />
	<script type="text/javascript">
        var list_sys = list_sys || {};
        list_sys.path = "<%=path%>";
        list_sys.basePath =  "<%=basePath%>";

        $(document).ready(function(){
            $(".container").attr("style","font-size:14px;margin-top:-15px;border-left: 1px solid #9c464600;min-height: 100%;padding-top: 15px;margin-left: auto;margin-right: auto;padding-left: 15px;padding-right: 15px;width: 1250px;");

            $(".container a[class='dropdown-toggle']").attr("style","width:105px");
            $("body div[class='navbar-inverse']").attr("style","height:42px;");

        });
	</script>
	<script src="../compass/app/js/dictionaryIndex.js"></script>

	<style>
		.icon_background{
			line-height: 0;
			margin-top: -4px;
			margin: 5px;
			width: 16px;
			height: 16px;
			display: inline-block;
			vertical-align: middle;
			border: 0 none;
			cursor: pointer;
			outline: none;
			background-color: transparent;
			background-repeat: no-repeat;
			background-attachment: scroll;

		}

		.icon_close{
			background-position: -74px 0;
		}

		.icon_open{
			background-position: -92px -18px;
		}

		.icon_folder{
			margin-right: 5px;
			background-position: -110px -16px;
		}

		.icon_file{
			margin-right: 5px;
			background-position: -110px -32px;
		}

		.icon_checkbox_false{
			background-position: 0 0;
			width: 13px;
			height: 13px;
			margin-right: 3px;
			margin-left: 3px;
			margin-top: -5px;
		}

		.icon_checkbox_true{
			background-position: -14px -14px;
			width: 13px;
			height: 13px;
			margin-right: 3px;
			margin-left: 3px;
			margin-top: -5px;
		}

		.left_div{
			width: 425px;
			height:calc(100% - 102px);
			float: left;
			margin-top:-20px;
		}

		.right_div{
			width: calc(100% - 430px);
			height:calc(100% - 102px);
			float: right;
			margin-top:-20px;
		}

		.container {
			height: 100%;
		}

		.tab-content {
			height: calc(100% - 20px);
		}

		.table {
			width:100%;
			height: 95%;
			display: block;
		}

		.table tr,.table thead{
			display: block;
			width: 100%;
		}

		.table tbody {
			display: block;
			width: 100%;
			max-height: calc(100% - 110px);
			overflow: auto;
			border-bottom: 1px solid #ddd;
			float: left;
		}

		.left_div .table tr th,.left_div .table tr td {
			width: 100%;
			height: 36px;
			display: inline-block;
		}

		.left_div .table tr th,.right_div .table tr th {
			border: none;
		}

		.right_div .table tr th,.right_div .table tr td {
			display: inline-block;
			height: 36px;
			float: left;
		}

		.right_div .table tr th:nth-child(1),.right_div .table tr td:nth-child(1) {
			width: 8%;
		}
		.right_div .table tr th:nth-child(2),.right_div .table tr td:nth-child(2) {
			width: 23%;
		}
		.right_div .table tr th:nth-child(3),.right_div .table tr td:nth-child(3) {
			width: 22%;
		}
		.right_div .table tr th:nth-child(4),.right_div .table tr td:nth-child(4) {
			width: 15%;
		}
		.right_div .table tr th:nth-child(5),.right_div .table tr td:nth-child(5) {
			width: 25%;
		}
		.right_div .table tr th:nth-child(6),.right_div .table tr td:nth-child(6) {
			width: 7%;
		}


		#div_tree_box > li{
			width:300px;
		}

		#div_tree_box_p{
			overflow: auto;
			height: 280px;
		}
		#s2id_unit_status{
			width: 250px;
		}

		#s2id_channel_select{
			width: 220px;
		}

		.table thead th{
			background: #3c8dbc;

		}
		.btn {
			background: #428bca;
		}
	</style>

</head>
<body>

<jsp:include page="../menu.jsp"/>
<!-- BEGIN 面包屑 -->
<div class="container-fluid">
	<ol class="breadcrumb"  style="font-size: 14px;"><!-- BEGIN 面包屑 -->
		<li><a href="javascript:void(0);" style="color: #428bca">系统管理</a></li>
		<li><a href="index.do" style="color: #428bca">数据字典</a></li>
	</ol>
</div>

<div class="container-fluid">
	<!--按钮组 -->
	<div class="tab-btn"  style="margin-top: -25px;margin-bottom: 7px;">
		<div class="btn-group right" data-toggle="buttons" style="margin-right: 40px;margin-top: 7px;">
			<input type="text" value="" class="form-control" id="m_val" style="width:240px;height: 33px;">
			<button class="btn btn-primary" onclick="findDictData();">查询</button>
		</div>
	</div>

	<%--<div style="width: 100%;height: 36px;margin-bottom: 15px;margin-top: 15px;">
        <div class="" data-toggle="buttons" style="margin-right: 40px;padding-left: 1326px;">
            <input type="text" value="" class="form-control" id="m_val" style="width:240px;height: 33px;padding-top: 3px;">
            <button class="btn btn-primary" onclick="findDictData();">查询</button>
        </div>
    </div>--%>

	<div class="content left_div">
		<div class="tab-content" style="float: left;height: 600px;">
			<table class="table table-striped table-hover" style="height:100%">
				<thead>
				<tr>
					<th width="80%">字典结构</th>
				</tr>
				</thead>
				<!-- 查询列表 -->
				<tbody style="height:100%;background-color: rgb(249, 249, 249);  max-height: calc(100% - 33px);" id="context_body_role">
				<tr style="height:100%">
					<td style="margin-top: -60px;">
						<div class="span2 layout-box box-border">
							<div class="row-fluid layout-center overflow_yout" style="margin-top: 53px;">
								<div class="" id="div_tree_box" style="margin:10px;width:200px;">
									<!-- 字典树形结构 -->
								</div>
							</div>
						</div>
					</td>
				</tr>
				</tbody>
			</table>
		</div>
	</div>

	<div class="content right_div ">
		<div class="tab-content" style="float: left;">
			<table class="table table-striped table-hover">
				<thead>
				<tr>
					<th>&nbsp;</th>
					<th>&nbsp;</th>
					<th>&nbsp;</th>
					<th>&nbsp;</th>
					<th>&nbsp;</th>
					<th>&nbsp;</th>
				</tr>
				<tr style="height: 115px;border-left: 1px solid rgb(161, 209, 255);border-right: 1px solid rgb(161, 209, 255);">
					<th style="background:white;width:225px;border-left: 0px;">
						<div class="tab-btn">
							<div class="btn-group right" data-toggle="buttons">
								<%--<button class="btn btn-primary" onclick="clearSelected();" style="margin-left: -100px;">复位</button>--%>
								<button class="btn btn-primary" onclick="addDictData();"  >新增</button>
								<button class="btn btn-primary" onclick="updateDictData();"  >修改</button>
								<button class="btn btn-primary" onclick="delDictData();"   >删除</button>
							</div>
						</div>
					</th>
					<th style="background:white;">&nbsp;</th>
					<th style="background:white;">&nbsp;</th>
					<th style="background:white;">&nbsp;</th>
					<th style="background:white;">&nbsp;</th>
					<th style="background:white;  border-right: 0px;">&nbsp;</th>
				</tr>
				<tr id ="zidonghang">
					<th>序列号</th>
					<th>名称</th>
					<th>编码</th>
					<th>数值</th>
					<th>备注</th>
					<th>状态</th>
				</tr>
				</thead>
				<!-- 查询列表 -->
				<tbody style="" id="context_body_manager">
				<!-- 							<tr> -->
				<!-- 								<td style="text-align: center;">张三</td> -->
				<!-- 								<td style="text-align: center;">uatchenxm</td> -->
				<!-- 								<td style="text-align: center;">测试</td> -->
				<!-- 								<td style="text-align: center;">测试数据</td> -->
				<!-- 							</tr> -->
				<!-- 							<tr> -->
				<!-- 								<td style="text-align: center;">张三</td> -->
				<!-- 								<td style="text-align: center;">uatchenxm</td> -->
				<!-- 								<td style="text-align: center;">测试</td> -->
				<!-- 								<td style="text-align: center;">测试数据</td> -->
				<!-- 							</tr> -->
				</tbody>
			</table>
		</div>

	</div>
</div>

<!-- 模态提示框 -->
<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">
					&times;
				</button>
				<h4 class="modal-title" id="myModalLabel">
					温馨提示：
				</h4>
			</div>
			<div class="modal-body">

			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-submit" data-dismiss="modal">确定</button>
				<!-- 					<button type="button" class="btn btn-default btn-cancel" data-dismiss="modal">取消</button> -->
			</div>
		</div>
	</div>
</div>
<!-- 模态提示框 -->

<script type="text/template" id="edit_dn">
	<div class="container-fluid layout-box main-box" id="">
		<div class="">
			<div class="layout-box scroll_x" >
				<div class="row-fluid layout-top" id="title_" style=" padding-right:17px; border-bottom:1px solid #d7d7d7;">
					<table class="">
						<thead>
						<tr>
							<th style="width:280px;">父节点</th>
							<th style="width:440px;" id="f_unit_name">父节点名称测试</th>
						</tr>
						</thead>
					</table>
				</div>
				<div class="row-fluid layout-center scroll_y scroll_x div_cha_mo" style="height: 400px;">
					<table class="table table_ch_c" style="height:100%">
						<tbody fm-body style="max-height: calc(100%);border-bottom: 1px solid #b7b7ba;">
						<tr>
							<td style="width:30%">名称<span style="color:red">&nbsp;&nbsp;*</span></td>
							<td style="width:51%"><input type='text' class='unit_name form-control' style='width: 250px;' value=''></td>
						</tr>
						<tr>
							<td style="width:30%">编码<span style="color:red">&nbsp;&nbsp;*</span></td>
							<td style="width:51%"><input type='text' class='unit_code form-control' style='width: 250px;' value=''></td>
						</tr>
						<tr>
							<td style="width:30%">数值<span style="color:red">&nbsp;&nbsp;*</span></td>
							<td style="width:51%"><input type='text' class='unit_val form-control' style='width: 250px;' value=''></td>
						</tr>
						<%--		<tr>
									<td style="width:30%">序列号<span style="color:red">&nbsp;&nbsp;*</span></td>
									<td style="width:51%"><input type='text' class='unit_serialnum form-control' style='width: 250px;' value=''></td>
								</tr>--%>
						<tr>
							<td style="width:30%">状态<span style="color:red">&nbsp;&nbsp;*</span></td>
							<td style="width:51%">
								<input type='text' class='unit_status form-control' id='unit_status' name='unit_status'>
							</td>
						</tr>
						<tr>
							<td style="width:30%">备注</td>
							<td style="width:51%"><textarea class='unit_remark form-control' style='width: 250px;height:120px;resize: none'></textarea></td>
						</tr>
						<tr id="err_msg_tr" style="display:none">
							<td style="width: 193.5px;"><span>&nbsp;</span></td>
							<td style="text-align: left; width: 154.5px;" >
								<li id="err_msg_li_cont" style="color: red;"></li>
							</td>
						</tr>
						</tbody>
					</table>
				</div>
				<div style="font-size: smaller;color: red;" id="mes_title"></div>
			</div>
		</div>
	</div>
</script>
<script type="text/template" id="apartmengt_peo">
	<input type="text" name="keyword" class="input input_large form-control" placeholder="输入员工工号或姓名" />
	<div id="div_tree_box_p" class="tree_win mt10"></div>
</script>
</body>
</html>