<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
<head>
<%@ include file="/include/header.jsp"%>
<link type="text/css" rel="stylesheet" href="${ctx}/css/baseFrame.css" />
<link type="text/css" rel="stylesheet" href="${ctx}/css/index.css" />
<title>疑案管理</title>
<style>
	.deliveryBtn{
		background-color: #00b591;
		padding: 5px 15px;
		border-radius: 5px;
		color: #fff;
		margin-right: 7px;
		cursor: pointer;
	}
</style>
</head>
<body class="bg1">
	<div class="headCon">
		<jsp:include page="/WEB-INF/jsp/top.jsp">
		<jsp:param name="index" value="2" />
		</jsp:include>
	</div>
	<div class="searchCon">
		<ul>
			<li class="on"><a href="${ctx}/sysPersonal/personalCount.do">个人统计</a></li>
			<li><a href="${ctx}/sysPersonal/taskApply.do">任务申请</a></li>
			<li><a href="${ctx}/sysPersonal/markExport.do">标注管理</a></li>
			<li><a href="${ctx}/sysPersonal/personalSearch.do">个人查询</a></li>				
		</ul>
	</div>
	<!-- <div id="resultCon1" class="resultCon" style="margin-left: 255px;"> -->
	<div class="resultCon" style="margin-left: 255px;position:relative;">
	<div class="wrap">
		<div class="m_right" >
			<div class="switch" id="switch"></div>
			<div class="p_bar">您当前的位置：疑案管理</div>
			<div class="action_box m_t10 t_c" id="queryDiv">
				<!-- 查询条件 : 注意加上 data-qname -->
				<!-- 行政级别编码: <input type="text" data-qname="code" class="input_txt" /> -->
				<div style="width:100%">
			<span>
				报案号：
				<input type="text" name="username"/>
			</span>
			<span>
				标注状态：
				<input type="text" name="username"/>
			</span>
		</div>
		<!--<div>
			 <span>
				单　　位：
				<select name="dept">
					<option value="">请选择...</option>
				</select>
			</span>
			<span>
				联系电话：
				<input type="text" name="phonenumber"/>
			</span>
			<span>
				删除标志：
				<select name="deleteFlag">
					<option value="">请选择...</option>
					<option value="-1" selected="selected">未删除</option>
					<option value="1">已删除</option>
				</select>
			</span>
		</div> -->
		<div style="width:100%">
			<!-- <span>
				<input type="button" class="b_btn" value="添加" id="addBtn" />
			</span> -->
			<span>
				<input type="button" class="a_btn" value="查询" id="searchBtn" />
			</span>
		</div>
			</div>
			<table id="tbwrap" class="table_list">
			
			</table>
			<div class="page eui-pager-custom" id="j_pager"></div>
		</div>
		<!--right end-->
	</div>
	<div>
		
	</div>
</div>
<!--表格模板引擎-->
<script type="text/html" id="tb_template">
	<thead>
		<tr>
			<th>用户名</th>
			<th>姓名</th>
			<th>电话</th>
			<th>邮箱</th>
			<th>用户状态</th>			
		</tr>
	</thead>
	<tbody data-type="body">
		<!if(list.length>0) { !>
			<!for(var i=0,len=list.length;i<len;i++){
				var item = list[i],classItem = (i%2!=0)?"odd td_odd":"even";
			!>
			<tr class="gradeA <!=classItem!>">
				<td title="<!=item["username"]!>"><!=item["username"]!></td>
				<td title="<!=item["userCnName"]!>"><!=item["userCnName"]!></td>
				<td title="<!=item["mobile"]!>"><!=item["mobile"]!></td>
				<td title="<!=item["email"]!>"><!=item["email"]!></td>
				<td title="<!=item["statusName"]!>"><!=item["statusName"]!></td>				
			</tr>
		<!}!>
		<!}else{!>
			<tr>
				<td colspan="7"> 暂无数据</td>
			</tr>
		<!}!>
	</tbody>
</script>

	<script type="text/javascript">
		var sysRoleDialog;
		$(function() {
			// 1、查询
			$("#searchBtn").click(function() {
				search();
			});
			search();
		})		
	</script>
	<script type="text/javascript">
		function search() {
			// 这里放包含查询条件的DIV
			var paramData = {
				page:1,
				username:$("[name='username']").val(),
				status:$("[name='status']").find("option:selected").val(),
				mobile:$("[name='phonenumber']").val(),
				deleteFlag:$("[name='deleteFlag']").find("option:selected").val(),
			};

			seajs.use([ "component/table" ], function(uiTable) {
				data={"pageCount":3,"dataList":[{"userId":"088AB1E52C514733BD2D042F7B2AFC04","level":2,"username":"ganwenbin-001","password":"12C31264EB01AA1D7D29512132450470","userCnName":"甘文彬","mobile":"12354231123","email":" 12341234","status":"1","remark":"{\"empType\":\"INNER\",\"p09HandleCode\":\"ganwenbin-001\",\"deptCode\":\"G000020745\",\"deptName\":\"高管层\",\"branchComCode\":\"null\",\"branchComName\":\"null\",\"companyName\":\"集团\"}","deleteFlag":"-1","deptCode":"G000020745","deptName":"高管层","branchComCode":"null","branchComName":"null","companyName":"集团","sysDepts":[{"deptId":"455AB2FED13741CDBAA62C220B2C357F","deptEnName":"58398","deptCnName":"集团","deptLevelCode":"455AB2FED13741CDBAA62C220B2C357F","deleteFlag":"-1"}],"sysRoles":[{"roleId":"B2F7A731A547457EA7CD77526EB24BA5","roleName":"test2","roleLevelCode":"B2F7A731A547457EA7CD77526EB24BA5","remark":"任务系统管理","status":"1","sysAuthoritySet":[]},{"roleId":"F620DDF3A4C7415AAB26DED6081112E4","roleName":"test4","roleLevelCode":"F620DDF3A4C7415AAB26DED6081112E4","remark":"qwewrsssssssssssssssssssssssssssssssssssssssssssssaaaaaaaaaaaaaa","status":"1","sysAuthoritySet":[]}],"statusName":"启用","deleteFlagName":"不删除"},{"userId":"10AEEEE6353B4DDC806EB49862F1C445","level":2,"username":"guligang","password":"12C31264EB01AA1D7D29512132450470","userCnName":"顾李刚","status":"1","remark":"{\"empType\":\"INNER\",\"p09HandleCode\":\"guligang\",\"deptCode\":\"0206\",\"deptName\":\"车险理赔作业部\",\"branchComCode\":\"8010100\",\"branchComName\":\"上海运营中心\",\"companyName\":\"上海运营中心\"}","deleteFlag":"-1","deptCode":"0206","deptName":"车险理赔作业部","branchComCode":"8010100","branchComName":"营运中心上海分中心","companyName":"营运中心上海分中心","sysDepts":[{"deptId":"D6A88600E6B14259BDA1142371F0C989","deptEnName":"20001001","deptCnName":"上海运营中心","deptLevelCode":"D6A88600E6B14259BDA1142371F0C989","deleteFlag":"-1"}],"sysRoles":[{"roleId":"F620DDF3A4C7415AAB26DED6081112E4","roleName":"test4","roleLevelCode":"F620DDF3A4C7415AAB26DED6081112E4","remark":"qwewrsssssssssssssssssssssssssssssssssssssssssssssaaaaaaaaaaaaaa","status":"1","sysAuthoritySet":[]},{"roleId":"3F464074A87F4A1DBFE35D488017A7E7","roleName":"test1","roleLevelCode":"3F464074A87F4A1DBFE35D488017A7E7","remark":"sjl测试","status":"1","sysAuthoritySet":[]},{"roleId":"3DB94061ABA543B3AED95C5814727264","roleName":"test6","roleLevelCode":"3DB94061ABA543B3AED95C5814727264","remark":"6666","status":"1","sysAuthoritySet":[]}],"statusName":"启用","deleteFlagName":"不删除"},{"userId":"24444284563A4D75B74E31CE0B69985F","level":2,"username":"tongzhiyuan","password":"12C31264EB01AA1D7D29512132450470","userCnName":"P13测试账号","status":"1","remark":"{\"empType\":\"INNER\",\"p09HandleCode\":\"tongzhiyuan\",\"deptCode\":\"9072500\",\"deptName\":\"总公司农险部\",\"branchComCode\":\"null\",\"branchComName\":\"null\",\"companyName\":\"产险总公司\"}","deleteFlag":"-1","deptCode":"9072500","deptName":"总公司农险部","branchComCode":"null","branchComName":"null","companyName":"产险总公司","sysDepts":[{"deptId":"84E37ACF2461447189D15E5D12B12409","deptEnName":"5059","deptCnName":"产险总公司","deptLevelCode":"84E37ACF2461447189D15E5D12B12409","deleteFlag":"-1"}],"sysRoles":[{"roleId":"5EBB4DF5995E4BBEB76A7C61DD86BA4D","roleName":"任务下发人","roleLevelCode":"5EBB4DF5995E4BBEB76A7C61DD86BA4D","remark":"","status":"1","sysAuthoritySet":[]},{"roleId":"3EBB067586504900A8EEF9E1ABD1F42D","roleName":"test001","roleLevelCode":"3EBB067586504900A8EEF9E1ABD1F42D","remark":"","status":"1","sysAuthoritySet":[]},{"roleId":"F620DDF3A4C7415AAB26DED6081112E4","roleName":"test4","roleLevelCode":"F620DDF3A4C7415AAB26DED6081112E4","remark":"qwewrsssssssssssssssssssssssssssssssssssssssssssssaaaaaaaaaaaaaa","status":"1","sysAuthoritySet":[]},{"roleId":"3F464074A87F4A1DBFE35D488017A7E7","roleName":"test1","roleLevelCode":"3F464074A87F4A1DBFE35D488017A7E7","remark":"sjl测试","status":"1","sysAuthoritySet":[]},{"roleId":"3DB94061ABA543B3AED95C5814727264","roleName":"test6","roleLevelCode":"3DB94061ABA543B3AED95C5814727264","remark":"6666","status":"1","sysAuthoritySet":[]}],"statusName":"启用","deleteFlagName":"不删除"},{"userId":"27C0DFDA7BE64749B88B093D0FE3138A","level":2,"username":"liupeilei","password":"12C31264EB01AA1D7D29512132450470","userCnName":"P13测试账号","status":"1","remark":"{\"empType\":\"INNER\",\"p09HandleCode\":\"liupeilei\",\"deptCode\":\"G00000010190\",\"deptName\":\"党群/工.作*部\",\"branchComCode\":\"null\",\"branchComName\":\"null\",\"companyName\":\"集团\"}","deleteFlag":"-1","deptCode":"G00000010190","deptName":"党群/工.作*部","branchComCode":"null","branchComName":"null","companyName":"集团","sysDepts":[{"deptId":"455AB2FED13741CDBAA62C220B2C357F","deptEnName":"58398","deptCnName":"集团","deptLevelCode":"455AB2FED13741CDBAA62C220B2C357F","deleteFlag":"-1"}],"sysRoles":[{"roleId":"BBAE6692D03842B09B36D78ECA00EE9A","roleName":"执行任务人","roleLevelCode":"BBAE6692D03842B09B36D78ECA00EE9A","remark":"欺诈检测执行任务人","status":"1","sysAuthoritySet":[]},{"roleId":"3EBB067586504900A8EEF9E1ABD1F42D","roleName":"test001","roleLevelCode":"3EBB067586504900A8EEF9E1ABD1F42D","remark":"","status":"1","sysAuthoritySet":[]},{"roleId":"3DB94061ABA543B3AED95C5814727264","roleName":"test6","roleLevelCode":"3DB94061ABA543B3AED95C5814727264","remark":"6666","status":"1","sysAuthoritySet":[]}],"statusName":"启用","deleteFlagName":"不删除"},{"userId":"324EBE22D4924EF7BD4BB558A16BBE48","level":2,"username":"liuyunsan-003","password":"12C31264EB01AA1D7D29512132450470","userCnName":"刘云三","status":"1","remark":"{\"empType\":\"INNER\",\"p09HandleCode\":\"liuyunsan-003\",\"deptCode\":\"HNCXLPZYB\",\"deptName\":\"车险理赔作业部\",\"branchComCode\":\"8020100\",\"branchComName\":\"华南运营中心\",\"companyName\":\"华南运营中心\"}","deleteFlag":"-1","deptCode":"HNCXLPZYB","deptName":"车险理赔作业部","branchComCode":"8020100","branchComName":"营运中心华南分中心","companyName":"营运中心华南分中心","sysDepts":[{"deptId":"C5AECE9AAA4649FCADE2729366A6F69D","deptEnName":"20002001","deptCnName":"华南运营中心","deptLevelCode":"C5AECE9AAA4649FCADE2729366A6F69D","deleteFlag":"-1"}],"sysRoles":[{"roleId":"F620DDF3A4C7415AAB26DED6081112E4","roleName":"test4","roleLevelCode":"F620DDF3A4C7415AAB26DED6081112E4","remark":"qwewrsssssssssssssssssssssssssssssssssssssssssssssaaaaaaaaaaaaaa","status":"1","sysAuthoritySet":[]},{"roleId":"3F464074A87F4A1DBFE35D488017A7E7","roleName":"test1","roleLevelCode":"3F464074A87F4A1DBFE35D488017A7E7","remark":"sjl测试","status":"1","sysAuthoritySet":[]},{"roleId":"3DB94061ABA543B3AED95C5814727264","roleName":"test6","roleLevelCode":"3DB94061ABA543B3AED95C5814727264","remark":"6666","status":"1","sysAuthoritySet":[]}],"statusName":"启用","deleteFlagName":"不删除"},{"userId":"402506135D1B46568BE1B8A093D65955","level":2,"username":"zhangguojin-002","password":"12C31264EB01AA1D7D29512132450470","userCnName":"张国金","mobile":"12","status":"1","remark":"{\"empType\":\"INNER\",\"p09HandleCode\":\"zhangguojin-002\",\"deptCode\":\"HNCXLPZYB\",\"deptName\":\"车险理赔作业部\",\"branchComCode\":\"8020100\",\"branchComName\":\"华南运营中心\",\"companyName\":\"华南运营中心\"}","deleteFlag":"-1","deptCode":"HNCXLPZYB","deptName":"车险理赔作业部","branchComCode":"8020100","branchComName":"营运中心华南分中心","companyName":"营运中心华南分中心","sysDepts":[{"deptId":"C5AECE9AAA4649FCADE2729366A6F69D","deptEnName":"20002001","deptCnName":"华南运营中心","deptLevelCode":"C5AECE9AAA4649FCADE2729366A6F69D","deleteFlag":"-1"}],"sysRoles":[{"roleId":"3EBB067586504900A8EEF9E1ABD1F42D","roleName":"test001","roleLevelCode":"3EBB067586504900A8EEF9E1ABD1F42D","remark":"","status":"1","sysAuthoritySet":[]},{"roleId":"3F464074A87F4A1DBFE35D488017A7E7","roleName":"test1","roleLevelCode":"3F464074A87F4A1DBFE35D488017A7E7","remark":"sjl测试","status":"1","sysAuthoritySet":[]},{"roleId":"3DB94061ABA543B3AED95C5814727264","roleName":"test6","roleLevelCode":"3DB94061ABA543B3AED95C5814727264","remark":"6666","status":"1","sysAuthoritySet":[]}],"statusName":"启用","deleteFlagName":"不删除"},{"userId":"4641F1ED44464C19B77009E61FA83989","level":2,"username":"super-001","password":"12C31264EB01AA1D7D29512132450470","userCnName":"寿险管理员","status":"1","remark":"{\"empType\":\"INNER\",\"p09HandleCode\":\"999\",\"deptCode\":\"00000000000000D000000000000015\",\"deptName\":\"信息技术部\",\"branchComCode\":\"null\",\"branchComName\":\"null\",\"companyName\":\"寿险总公司\"}","deleteFlag":"-1","deptCode":"00000000000000D000000000000015","deptName":"信息技术部","branchComCode":"null","branchComName":"null","companyName":"寿险总公司","sysDepts":[{"deptId":"A2B0D0B89BD24B6E935CE9A145F8C7D1","deptEnName":"46750","deptCnName":"寿险总公司","deptLevelCode":"A2B0D0B89BD24B6E935CE9A145F8C7D1","deleteFlag":"-1"}],"sysRoles":[{"roleId":"BBAE6692D03842B09B36D78ECA00EE9A","roleName":"执行任务人","roleLevelCode":"BBAE6692D03842B09B36D78ECA00EE9A","remark":"欺诈检测执行任务人","status":"1","sysAuthoritySet":[]}],"statusName":"启用","deleteFlagName":"不删除"},{"userId":"4A0EF7777167410E904787009DF088F8","level":2,"username":"yujin-002","password":"12C31264EB01AA1D7D29512132450470","userCnName":"郁进","status":"1","remark":"{\"empType\":\"INNER\",\"p09HandleCode\":\"yujin-002\",\"deptCode\":\"0206\",\"deptName\":\"车险理赔作业部\",\"branchComCode\":\"20001001\",\"branchComName\":\"上海运营中心\",\"companyName\":\"上海运营中心\"}","deleteFlag":"-1","deptCode":"0206","deptName":"车险理赔作业部","branchComCode":"20001001","branchComName":"上海运营中心","companyName":"上海运营中心","sysDepts":[{"deptId":"D6A88600E6B14259BDA1142371F0C989","deptEnName":"20001001","deptCnName":"上海运营中心","deptLevelCode":"D6A88600E6B14259BDA1142371F0C989","deleteFlag":"-1"}],"sysRoles":[{"roleId":"BBAE6692D03842B09B36D78ECA00EE9A","roleName":"执行任务人","roleLevelCode":"BBAE6692D03842B09B36D78ECA00EE9A","remark":"欺诈检测执行任务人","status":"1","sysAuthoritySet":[]}],"statusName":"启用","deleteFlagName":"不删除"},{"userId":"571B522F83464C7C8F08368FADC975DB","level":2,"username":"penglukeng-001","password":"12C31264EB01AA1D7D29512132450470","userCnName":"彭路铿","status":"1","remark":"{\"empType\":\"INNER\",\"p09HandleCode\":\"penglukeng-001\",\"deptCode\":\"HNCXLPZYB\",\"deptName\":\"车险理赔作业部\",\"branchComCode\":\"8020100\",\"branchComName\":\"华南运营中心\",\"companyName\":\"华南运营中心\"}","deleteFlag":"-1","deptCode":"HNCXLPZYB","deptName":"车险理赔作业部","branchComCode":"8020100","branchComName":"营运中心华南分中心","companyName":"营运中心华南分中心","sysDepts":[{"deptId":"C5AECE9AAA4649FCADE2729366A6F69D","deptEnName":"20002001","deptCnName":"华南运营中心","deptLevelCode":"C5AECE9AAA4649FCADE2729366A6F69D","deleteFlag":"-1"}],"sysRoles":[{"roleId":"F620DDF3A4C7415AAB26DED6081112E4","roleName":"test4","roleLevelCode":"F620DDF3A4C7415AAB26DED6081112E4","remark":"qwewrsssssssssssssssssssssssssssssssssssssssssssssaaaaaaaaaaaaaa","status":"1","sysAuthoritySet":[]},{"roleId":"3F464074A87F4A1DBFE35D488017A7E7","roleName":"test1","roleLevelCode":"3F464074A87F4A1DBFE35D488017A7E7","remark":"sjl测试","status":"1","sysAuthoritySet":[]}],"statusName":"启用","deleteFlagName":"不删除"},{"userId":"642F7D43A32E46CDBEC7776ECADBAD08","level":2,"username":"zhangqinle","password":"12C31264EB01AA1D7D29512132450470","userCnName":"P13测试账号","status":"1","remark":"{\"empType\":\"INNER\",\"p09HandleCode\":\"zhangqinle\",\"deptCode\":\"9072500\",\"deptName\":\"总公司农险部\",\"branchComCode\":\"null\",\"branchComName\":\"null\",\"companyName\":\"产险总公司\"}","deleteFlag":"-1","deptCode":"9072500","deptName":"总公司农险部","branchComCode":"null","branchComName":"null","companyName":"产险总公司","sysDepts":[{"deptId":"84E37ACF2461447189D15E5D12B12409","deptEnName":"5059","deptCnName":"产险总公司","deptLevelCode":"84E37ACF2461447189D15E5D12B12409","deleteFlag":"-1"}],"sysRoles":[{"roleId":"3EBB067586504900A8EEF9E1ABD1F42D","roleName":"test001","roleLevelCode":"3EBB067586504900A8EEF9E1ABD1F42D","remark":"","status":"1","sysAuthoritySet":[]},{"roleId":"F620DDF3A4C7415AAB26DED6081112E4","roleName":"test4","roleLevelCode":"F620DDF3A4C7415AAB26DED6081112E4","remark":"qwewrsssssssssssssssssssssssssssssssssssssssssssssaaaaaaaaaaaaaa","status":"1","sysAuthoritySet":[]},{"roleId":"3F464074A87F4A1DBFE35D488017A7E7","roleName":"test1","roleLevelCode":"3F464074A87F4A1DBFE35D488017A7E7","remark":"sjl测试","status":"1","sysAuthoritySet":[]}],"statusName":"启用","deleteFlagName":"不删除"}],"rowCount":22,"currentPage":1};
				//$.post("${ctx}/sysUser/ajaxPage.do",paramData,function(data){
					var table = new uiTable({
						 "con": "#tbwrap",//放table的容器
						 "data": {
							 "list": data.dataList//渲染需要的数据
						 },
						 "template": "tb_template",//渲染的模板
						 "pager": {//翻页
							 "con": "#j_pager",//翻页容器
							 "data": {
								 "currentPage": data.currentPage,//当前页
								 "pageCount": data.pageCount,
								 "rowCount": data.rowCount
							 },
							 //翻页样式
							 template: '<ul><a title="首页" class="page_first" data-role="first" href="#">首页</a><a title="上一页" class="page_prev" href="#" data-role="prev">上一页</a><span data-value="pageNum" class="pageNum"></span><a title="下一页" class="page_next" href="#" data-role="next">下一页</a><a title="尾页" class="page_last" href="#" data-role="last">尾页</a></ul><div class="pageGo">共<span data-role="rowCount"></span>条 跳转到 <input type="text" data-target="input" class="page_input"/><a href="#" data-role="go" class="go">GO</a></div>'
						 }
					 });
					 table.getPager().bind("changePage", function (event, page, hander) {//点击翻页时
						 var paramData = {
									page:page,
									username:$("[name='username']").val(),
									status:$("[name='status']").find("option:selected").val(),
									mobile:$("[name='phonenumber']").val(),
									deleteFlag:$("[name='deleteFlag']").find("option:selected").val(),
								};
						 $.post("${ctx}/sysUser/ajaxPage.do",paramData,function(change){
							 table.render({//重新渲染
									list: change.dataList//传入新的渲染数据
								});
								hander({
									"currentPage": change.currentPage,
									"pageCount": change.pageCount,
									"rowCount": change.rowCount
								});
						 });
					 });
				//});
			});
		}
	</script>
	<%@ include file="/include/zTree.jsp" %>	
	<script src="${ctx}/js/lib/perfect-scrollbar.jquery.js"></script>
	<script>
	     $(function () {
			$(".resultCon").perfectScrollbar();
			resize();
            $(window).resize(function(){
				resize();
			});				
	    });
	    function resize(){
			//获取窗口高度
			var windowheight=$(window).height();
			var leftList = windowheight-40;
			$(".searchCon").css({"height":leftList+"px"});
			$(".resultCon").css({"height":leftList-12+"px"});
			//$(".tableMain").css({"height":windowheight-40-42-131+"px"});
			//$(".table_list").css({"height":windowheight-40-42-100-85+"px"});
			$(".resultCon").perfectScrollbar("update");
		}
	</script>
	<%@ include file="/include/footer.jsp"%>
</body>
</html>
