<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
<title>首页</title>
<%@ include file="/include/header.jsp"%>
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<!-- 加载公共的样式，主要作用是清除浏览器的一些默认样式，页面公共排版，包括头部以及一些组件样式   -->
<link type="text/css" rel="stylesheet" href="${ctx}/css/base.css" />
<link type="text/css" rel="stylesheet" href="${ctx}/css/index.css" />
<!-- 前端框架核心库加载放在 -->
<script src="${ctx}/js/lib/core.js" type="text/javascript"></script>
<script type="text/javascript">
    // seajs 的简单配置
    seajs.config({
        base: "${ctx}/js",
        alias: {

        }
    });
</script>
<script type="text/javascript" src="${ctx}/js/index.js"></script>
<link type="text/css" rel="stylesheet" href="${ctx}/css/baseFrame.css" />
</head>
<body>
	<div>
		<div class="b_box">
		<div class="p_bar">您当前的位置：用户管理/拥有角色</div>
		<form id="sysUserForm">
			<input type="hidden" name="userId" value="${sysUserShowVo.userId}" />
			<table class="c_table m_t10">
			<tr>
				<td class="t_tit">P13账号 :</td>
				<td style="width:60%">${sysUserShowVo.username}</td>
			</tr>
			<tr>
				<td class="t_tit">用户中文名称 :</td>
				<td style="width:60%">${sysUserShowVo.userCnName}</td>
			</tr>
			<tr>
				<td class="t_tit">拥有角色 :</td>
				<td style="width:60%">${sysUserShowVo.roleName}</td>
			</tr>
			</table>
		</form>
	 </div>
   	 <div class="action_box m_t10 t_c"><input type="button" class="b_btn" value="返回" id="returnBtn"/></div>
	</div>
	<script type="text/javascript">
		$(function(){
		// 注册返回按钮事件
			$("#returnBtn").click(function () {
				// 关闭弹窗窗口
				parent.sysUserDialog.close();
	        });
		});
	</script>
</body>
</html>